REM bldignor.bat - Build the three ignore demos
REM ----------------------------------------------------
@if NOT "%cc%"=="bcc" goto NOTBCC
bcc -ms -DSTRICT -WSE -vi ignore.c
bcc -ms -DSTRICT -WSE -vi ignore2.c
bcc -ms -DSTRICT -WSE -vi ignore3.c
@goto END
:NOTBCC
@if NOT "%cc%"=="msc" goto NOTMSC
cl /c /DSTRICT /nologo /W3 /Zp /GAs /GEsme /AS ignore.c
link /nologo /NOE /align:16 /NOD /MAP:FULL /LINE ignore,,ignore,slibcew+libw,ignore;
cl /c /DSTRICT /nologo /W3 /Zp /GAs /GEsme /AS ignore2.c
link /nologo /NOE /align:16 /NOD /MAP:FULL /LINE ignore2,,ignore2,slibcew+libw,ignore2;
cl /c /DSTRICT /nologo /W3 /Zp /GAs /GEsme /AS ignore3.c
link /nologo /NOE /align:16 /NOD /MAP:FULL /LINE ignore3,,ignore3,slibcew+libw,ignore3;
@goto END
:NOTMSC
@if NOT "%cc%"=="wcc"  goto NOTWC
wcl -dSTRICT -w3 -zWs -bt=windows -ms ignore.c
wcl -dSTRICT -w3 -zWs -bt=windows -ms ignore2.c
wcl -dSTRICT -w3 -zWs -bt=windows -ms ignore3.c
@goto END
:NOTWC
@if NOT "%cc%"=="sc"  goto NOTSC
sc -DSTRICT -a1 -ms -W3 ignore.c
sc -DSTRICT -a1 -ms -W3 ignore2.c
sc -DSTRICT -a1 -ms -W3 ignore3.c
@goto END
:NOTSC
@echo To use this batch file, set your CC environment variable to:
@echo   bcc     - if you are using Borland C++ v4.02
@echo   msc     - if you are using Microsoft Visual C++ v1.5
@echo   wcc     - if you are using Watcom C++ v10.0
@echo   sc      - if you are using Symantec C++ v6.10
:END
@set CCFILES=

