REM bldscrol.bat - Build the scroll bar demo
REM ----------------------------------------------------
@set CCFILES=scrolbar.c
@if NOT "%cc%"=="bcc" goto NOTBCC
bcc -ms -DSTRICT -WSE -vi %CCFILES%
@goto END
:NOTBCC
@if NOT "%cc%"=="msc" goto NOTMSC
cl /c /DSTRICT /nologo /W3 /Zp /GAs /GEsme /AS %CCFILES%
link /nologo /NOE /align:16 /NOD /MAP:FULL /LINE scrolbar,,scrolbar,slibcew+libw,scrolbar;
@goto END
:NOTMSC
@if NOT "%cc%"=="wcc"  goto NOTWC
wcl -dSTRICT -w3 -zWs -bt=windows -ms %CCFILES%
@goto END
:NOTWC
@if NOT "%cc%"=="sc"  goto NOTSC
sc -DSTRICT -a1 -ms -W3 %CCFILES%
@goto END
:NOTSC
@echo To use this batch file, set your CC environment variable to:
@echo   bcc     - if you are using Borland C++ v4.02
@echo   msc     - if you are using Microsoft Visual C++ v1.5
@echo   wcc     - if you are using Watcom C++ v10.0
@echo   sc      - if you are using Symantec C++ v6.10
:END
@set CCFILES=

