unit Unit2;

interface

{$IFDEF WIN32}
uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  WpWinCtr, WPRich, WPRuler, ExtCtrls, WPTbar, StdCtrls, WPPrTab1, WPTxtDef,
  Buttons, WPDefs, WPStatus, Wpstat2;
{$ELSE}
uses
  WinProcs, WinTypes, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  WpWinCtr, WPRich, WPRuler, ExtCtrls, WPTbar, StdCtrls, WPPrTab1, WPTxtDef,
  Buttons, WPDefs, WPStatus, Wpstat2;
{$ENDIF}

type
  TPicSize = class(TForm)
    XScrollbar: TScrollBar;
    YScrollbar: TScrollBar;
    Label1: TLabel;
    Label2: TLabel;
    Button1: TButton;
    XL: TLabel;
    YL: TLabel;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure XScrollbarChange(Sender: TObject);
    procedure YScrollbarChange(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
    XPt : Integer;
    YPt : Integer;
  end;

var
  PicSize: TPicSize;

implementation

{$R *.DFM}

procedure TPicSize.FormClose(Sender: TObject; var Action: TCloseAction);
begin
   Xpt := XScrollBar.Position;
   YPt := YScrollBar.Position;
end;

procedure TPicSize.XScrollbarChange(Sender: TObject);
begin
   XL.Caption := IntToStr(XScrollBar.Position)+'pt';
end;

procedure TPicSize.YScrollbarChange(Sender: TObject);
begin
 YL.Caption := IntToStr(YScrollBar.Position)+'pt';
end;

procedure TPicSize.FormShow(Sender: TObject);
begin
   XScrollBar.Position := Xpt;
   YScrollBar.Position := Ypt;
end;

end.
