unit coptions;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls, Compress, Segment;

type
  TCompOptionForm = class(TForm)
    Panel1: TPanel;
    GroupBox1: TGroupBox;
    CompType: TRadioGroup;
    Label2: TLabel;
    CanBtn: TBitBtn;
    OKBtn: TBitBtn;
    Label4: TLabel;
    ESegName: TEdit;
    ESegSize: TEdit;
    Label1: TLabel;
    ESegDir: TEdit;
    procedure CanBtnClick(Sender: TObject);
    procedure OKBtnClick(Sender: TObject);
    procedure ESegNameExit(Sender: TObject);
    procedure ESegDirExit(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  procedure  EntryPoint(SegCompress: TSegCompress);
  end;

var
  CompOptionForm: TCompOptionForm;

implementation

uses DemoMain;

{$R *.DFM}

var
   SegComp:   TSegCompress;

procedure TCompOptionForm.EntryPoint(SegCompress: TSegCompress);
begin
     SegComp := SegCompress;
     ESegName.Text := SegComp.SegBaseName;
     if (ESegDir.Text = '') then
         ESegDir.Text := 'A:\';
     if (ESegName.Text = '') then
         ESegName.Text := 'SegData';
     if (CompType.ItemIndex = -1) then
         CompType.ItemIndex := 0;
     ESegSize.Text := IntToStr(SegComp.SegSize);
     ShowModal;
end;

procedure TCompOptionForm.CanBtnClick(Sender: TObject);
begin
     SegComp.SegBaseName := '';
     SegComp.SegDir := '';
     Close;
end;

procedure TCompOptionForm.OKBtnClick(Sender: TObject);
begin
     if (ESegDir.Text = '') then
         ESegDir.SetFocus
     else if (ESegName.Text = '') then
         ESegName.SetFocus
     else if (ESegSize.Text = '') then
         ESegSize.SetFocus
     else
         begin
         SegComp.SegDir := ESEGDir.Text;
         SegComp.SegBaseName := ESegName.Text;
         SegComp.SegSize := StrToInt(ESegSize.Text);
         Close;
         end;
end;

procedure TCompOptionForm.ESegNameExit(Sender: TObject);
var
   Tmp:      String;
begin
     Tmp := ExtractFileName(ESegName.Text);
     Tmp := Copy(Tmp,1,Length(Tmp)-Length(ExtractFileExt(Tmp)));
     ESegName.Text := Tmp;
end;

procedure TCompOptionForm.ESegDirExit(Sender: TObject);
begin
     ESegDir.Text := ExpandFileName(ESegDir.Text);
end;

end.
