{ !! IMPORTANT NOTE !!
  When amending DBGRIDS.PAS as described in  Brian's article, you need to
  also change line 454 (in TCustomDBGrid.Create) to
    ScrollBars := ssBoth;
  from
    ScrollBars := ssHorizontal;
  in order to ensure that when the descended TNewDBGrid is used it has
  both vertical and horizontal scrollbars by default. }


unit NewGrid;

interface

uses
  Classes, Grids, StdCtrls, DBGrids;

type
  TNewDBGrid = class(TDBGrid)
  published
    property ScrollBars;
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('Data Controls', [TNewDBGrid]);
end;

end.
