unit TTT1;
interface
uses SysUtils, Classes, Controls, StdCtrls, Dialogs, Magic;

Type
  TTTTControl1 = class(TWinControl)
                 protected
                   constructor Create(AOwner: TComponent); override;
                   destructor Destroy; override;

                 private { Magic DLL handle }
                   Game: HGame;
                 end {TTTTControl1};

  procedure Register;

implementation

  constructor TTTTControl1.Create(AOwner: TComponent);
  begin
    inherited Create(AOwner);
    Game := 0;
    if MagicLoaded then
    begin
      Game := NewGame
    end
    else raise Exception.Create('Error loading MAGIC.DLL...')
  end {Create};

  destructor TTTTControl1.Destroy;
  var ButtonIndex: TPlace;
  begin
    if (Game > 0) then EndGame(Game);
    inherited Destroy
  end {Destroy};


  procedure Register;
  begin
    RegisterComponents('Dr.Bob', [TTTTControl1])
  end {Register};
end.
