unit Subu3;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
    FOldWndProc: TFarProc;
    procedure NewWndProc(var Message: TMessage);
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.NewWndProc(var Message: TMessage);
begin
  with Message do
  begin
    Result := 0;
    if Msg = wm_Char then
      Label1.Caption := Label1.Caption + Chr(WParam)
    else
      Result := CallWindowProc(FOldWndProc, Handle, Msg, WParam, LParam);
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  FOldWndProc := TFarProc(SetWindowLong(Handle, gwl_WndProc,
    Longint(MakeObjectInstance(NewWndProc))));
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  FreeObjectInstance(
    Pointer(SetWindowLong(Handle, gwl_WndProc, LongInt(FOldWndProc))));
end;

end.
