unit Intruptu;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    GPFBtn: TButton;
    DivByZeroBtn: TButton;
    procedure FormCreate(Sender: TObject);
    procedure GPFBtnClick(Sender: TObject);
    procedure DivByZeroBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses IntrupU2;

{$R *.DFM}

function IntHandler(FaultID: Word; FaultAddress: Pointer): TFaultResponse; far;
begin
  Result := frKill;
  with TActionFrm.Create(Application) do
    try
      Label1.Caption := Format('Exception %d at %p', [FaultID, FaultAddress]);
      case ShowModal of
        100: Result := frKill;
        101: Result := frResume;
        102:
          if Bool(PrefixSeg) and Bool(PWordArray(MemL[DSeg:36])^[8]) then
            MessageDlg('Do not choose this option whilst the debugger is ' +
              'active - in Windows 3.x you will drop to DOS; in Windows 95 ' +
              'you will hang the system. Terminating application instead',
              mtError, [mbOk], 0)
          else
            Result := frChain;
      else
        DefaultExceptHandler(FaultID, FaultAddress);
      end;
    finally
      Free;
    end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  ProcessorExceptHook := IntHandler;
end;

procedure TForm1.GPFBtnClick(Sender: TObject);
begin
  Mem[0:0] := 0;
end;

procedure TForm1.DivByZeroBtnClick(Sender: TObject);
const
  F: Byte = 0;
begin
  F := F div F;
end;

end.
