unit FileProp;
interface
uses DsgnIntf;

Type
  TFileModeProperty = class(TIntegerProperty)
  public
    function GetAttributes: TPropertyAttributes; override;
    procedure Edit; override;
  end;

implementation
uses SysUtils, Controls, FileMode;

  function TFileModeProperty.GetAttributes: TPropertyAttributes;
  begin
    Result := [paDialog]
  end {GetAttributes};

  procedure TFileModeProperty.Edit;
  begin
    with TFileModeDlg.Create(nil) do
    try
      FileShareMode := GetOrdValue;
      if ShowModal = mrOk then
        SetOrdValue(FileShareMode)
    finally
      Free
    end
  end {Edit};
end.