unit Table;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, DB, DBTables;

type
  TNewTable = class(TTable)
  public
    constructor Create(AOwner: TComponent); override;
  end;

procedure Register;

implementation

constructor TNewTable.Create(AOwner: TComponent);
var
  Field, OldField: TField;
  SaveActive: Boolean;
begin
  inherited Create(AOwner);
  DatabaseName := 'DBDEMOS';
  TableName := 'CUSTOMER';
  if not (csLoading in AOwner.ComponentState) then
  begin
    SaveActive := Active;
    Active := True;
    { Specify target field here }
    OldField := FieldByName('Company');
    Field := TFieldClass(OldField.ClassType).Create(Owner);
    Field.FieldName := OldField.FieldName;
    Field.Name := Name + Field.FieldName;
    Field.Size := OldField.Size;
    if not SaveActive then
      Active := False;
    Field.DataSet := Self;
  end;
end;

procedure Register;
begin
  RegisterComponents('Samples', [TNewTable]);
end;

end.

