unit Applydd;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  StdCtrls, Forms, DBCtrls, DB, DBTables, Mask, ExtCtrls, DButils;

type
  TApplyDDform = class(TForm)
    DBNavigator: TDBNavigator;
    Panel1: TPanel;
    MyDataSource: TDataSource;
    MyTable: TTable;
    MyDatabase: TDatabase;
    MyQuery: TQuery;
    DictTable: TTable;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label8: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    EditPHONE: TDBEdit;
    EditEMAIL: TDBEdit;
    EditCITY: TDBEdit;
    EditADDR: TDBEdit;
    MemoNOTES: TDBMemo;
    EditCATAGORY: TDBEdit;
    EditFIRSTNAME: TDBEdit;
    Label3: TLabel;
    EditLASTNAME: TDBEdit;
    Label7: TLabel;
    Label17: TLabel;
    Label18: TLabel;
    EditLASTMAILTO: TDBEdit;
    EditLASTMFROM: TDBEdit;
    EditNumMailFm: TDBEdit;
    EditNumMailTo: TDBEdit;
    Label2: TLabel;
    Label15: TLabel;
    EditPOSTALCODE: TDBEdit;
    Label11: TLabel;
    EditSTATE: TDBEdit;
    Label9: TLabel;
    Label10: TLabel;
    EditCOUNTRY: TDBEdit;
    EditLASTPHONE: TDBEdit;
    Label14: TLabel;
    procedure FormActivate(Sender: TObject);
  private
    FDataDictName : string;
    { private declarations }
  public
    { public declarations }
  end;


var
  ApplyDDform: TApplyDDform;

implementation
uses dialogs, utils, mystrng;
{$R *.DFM}

procedure TApplyDDform.FormActivate(Sender: TObject);
begin
  FdataDictName := AddBackSlash(extractfilePath(application.exename))+'datadict.dbf';
  DictCtrl.OpenDictionary(FdataDictName, MyDataBase, DictTable, MyQuery, MyDataSource);
  if openDB(MyDataBase, myTable, myQuery, myDataSource,
         ExtractFilePath(application.exename), 'contact.dbf')
     then begin
       MyDataSource.enabled := true;
       MyTable.open;
       DictCtrl.SetCurrentFieldTo('Contact.dbf','FirstName');
       EditFirstName.hint := DictCtrl.hint;
       ShowHint := true;
       DictCtrl.SetCurrentFieldTo('Contact.dbf','LastName');
       MyTable.findfield('LASTNAME').required := DictCtrl.required;
       DictCtrl.setCurrentFieldTo('contact.dbf','NumMailTo');
       TSmallIntField(MyTable.findfield('NumMailTo')).minvalue := DictCtrl.minValue;
       TSmallIntField(MyTable.findfield('NumMailTo')).maxvalue := DictCtrl.maxValue;
       MyTable.edit;
       end
     else begin
       messagedlg('Problem opening database', mtinformation, [mbOK],0);
       end;

end;

end.
