unit Dirdlg;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, FileCtrl;

type
  TTgtDirDlg = class(TForm)
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    HelpBtn: TBitBtn;
    DriveComboBox1: TDriveComboBox;
    DirectoryListBox1: TDirectoryListBox;
    Label1: TLabel;
    Label2: TLabel;
    L_directory: TLabel;
    procedure FormActivate(Sender: TObject);
    procedure DriveComboBox1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  TgtDirDlg: TTgtDirDlg;

function ChooseDirectory(const title, curDir : string) : string;


implementation
uses utils;

{$R *.DFM}

function ChooseDirectory(const title, curDir : string) : string;
begin
  TgtDirDlg := tTgtDirDlg.create(application);
  TgtDirDlg.parent := nil;
  TgtDirDlg.caption := title;
  tgtDirDlg.l_directory.caption := CurDir;
  if tgtDirDlg.showmodal = mrOK
    then result := tgtDirDlg.l_directory.caption
    else result := curDir;
  TgtDirDlg.hide;
  TgtDirDlg.free;
end;



procedure TTgtDirDlg.FormActivate(Sender: TObject);
begin
  if L_directory.caption <> ''
    then DriveComboBox1.drive := L_directory.caption[1]
    else DriveCombobox1.drive := appname[1];
end;

procedure TTgtDirDlg.DriveComboBox1Change(Sender: TObject);
begin
  DirectoryListBox1.Drive := DriveComboBox1.Drive;
end;

end.
