unit Main;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, Buttons, StdCtrls, Nodes, ExtCtrls, StrLib;

type
  TForm1 = class(TForm)
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    Bevel1: TBevel;
    Label1: TLabel;
    BooleanNode1: TBooleanNode;
    EndNode1: TEndNode;
    BooleanNode2: TBooleanNode;
    EndNode2: TEndNode;
    EndNode3: TEndNode;
    Bevel2: TBevel;
    Label3: TLabel;
    Label2: TLabel;
    procedure SpeedButton1Click(Sender: TObject);
    procedure AnswerNode1AfterRun(Sender: TObject);
    procedure AnswerNode2AfterRun(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure AnswerNode3AfterRun(Sender: TObject);
  private
    { Private declarations }
    Input: real;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.SpeedButton1Click(Sender: TObject);
begin
  Randomize;
  Input := Random(9)+1+Random;
  Label2.Caption := RealToStr(Input, 2)+' ';
  Application.ProcessMessages;
  BooleanNode1.InputAsReal := Input;
  BooleanNode1.Run;
end;

procedure TForm1.AnswerNode1AfterRun(Sender: TObject);
begin
  if EndNode1.IsResult then
    Label1.Caption := EndNode1.ResultStr;
end;

procedure TForm1.AnswerNode2AfterRun(Sender: TObject);
begin
  if EndNode2.IsResult then
    Label1.Caption := EndNode2.ResultStr;
end;

procedure TForm1.SpeedButton2Click(Sender: TObject);
begin
  Label1.Caption := '';
  Label2.Caption := '';
end;

procedure TForm1.AnswerNode3AfterRun(Sender: TObject);
begin
  if EndNode3.IsResult then
    Label1.Caption := EndNode3.ResultStr;
end;

end.
