unit mpd2u1;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls, TabNotBk;

type
  TForm1 = class(TForm)
    PagesGrp: TRadioGroup;
    PresentChk: TCheckBox;
    procedure PresentChkClick(Sender: TObject);
  end;

var
  Form1: TForm1;

implementation

uses
{$ifdef Windows}
  Mpd2U2a;
{$else}
  Mpd2U2b;
{$endif}
{$R *.DFM}

procedure TForm1.PresentChkClick(Sender: TObject);
var
  Loop: Integer;
  Tab : TControl;
begin
  PagesGrp.Enabled := PresentChk.Checked;
{$ifdef Windows}
  { Delphi 1.0x }
  { A TTabbedNotebook has pages (TWinControls) }
  { and tabs (TGraphicControls) }
  for Loop := 0 to Pred(Form2.Notebook.ControlCount) do
  begin
    Tab := Form2.Notebook.Controls[Loop] as TControl;
    if (Tab is TGraphicControl) and
       { Apparently dangerous typecast is actually safe }
       { Caption is in every TControl, just protected }
       { It is published in a TButton, and so is accessible }
       (TButton(Tab).Caption = PagesGrp.Items[PagesGrp.ItemIndex]) then
    begin
      Tab.Enabled := PresentChk.Checked;
      Break;
    end;
  end;
{$else}
  Form2.NoteBook.Pages[PagesGrp.ItemIndex].Enabled := PresentChk.Checked;
{$endif}
end;

end.
