unit Newpbox;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, ExtCtrls;

type
  TNewPaintBox = class(TPaintBox)
  private
    FClipRect: TRect;
  protected
    procedure WMPaint(var Msg: TWMPaint); message wm_Paint;
  public
    property ClipRect: TRect read FClipRect write FClipRect;
  end;

procedure Register;

implementation

procedure TNewPaintBox.WMPaint(var Msg: TWMPaint);
begin
  with FClipRect do
    IntersectClipRect(Msg.DC, Left, Top, Width, Height);
  inherited;
end;

procedure Register;
begin
  RegisterComponents('Samples', [TNewPaintBox]);
end;

end.
