unit Powtestu;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, PowerU;

type
  TForm1 = class(TForm)
    NumberEdt: TEdit;
    ExponentEdt: TEdit;
    Result: TLabel;
    procedure EditKeyPress(Sender: TObject; var Key: Char);
    procedure CalculatePower(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.EditKeyPress(Sender: TObject; var Key: Char);
begin
  if Key = Chr(vk_Return) then
  begin
    Key := #0;
    CalculatePower(Sender);
  end;
end;

procedure TForm1.CalculatePower(Sender: TObject);
begin
  try
    Result.Caption := FloatToStr(Power(
      StrToFloat(NumberEdt.Text),
      StrToFloat(ExponentEdt.Text)));
  except
    on EInvalidOp do
    begin
      MessageDlg('Invalid parameters to Power', mtError, [mbOk], 0);
      (Sender as TEdit).SetFocus;
    end;
  end;
end;

end.
