unit Tfdd1u;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Edit1: TEdit;
    Button2: TButton;
    Timer1: TTimer;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
  end;

var
  Form1: TForm1;

implementation

uses
  RWEditU;

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  { Can't do this in the TFDD unit initialisation as it relies }
  { on an object in the form that only gets created after }
  { initialisation sections have finished executing }
  AssignRWEdit(Input, Edit1);
  Reset(Input);
  AssignRWEdit(Output, Edit1);
  Rewrite(Output);
end;

procedure TForm1.Button1Click(Sender: TObject);
var
  D1, D2: Double;
begin
{$ifdef OnePossibility}
  ReadLn(D1, D2);
{$else}
  Read(D1);
  Read(D2);
  ReadLn;
{$endif}
  ShowMessage(Format('First value: %f', [D1]));
  ShowMessage(Format('Second value: %f', [D2]));
  Write('Type something in me and push the 2nd button');
end;

procedure TForm1.Button2Click(Sender: TObject);
var
  S: String;
begin
  ReadLn(S);
  ShowMessage(Format('You wrote: %s', [S]));
  Write('Game over');
end;

end.
