unit frmsess3;

interface

uses
  Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, DBCtrls, Grids, DBGrids, DB, DBTables, DbiProcs, DbiTypes;

type
  TForm1 = class(TForm)
    DataSource1: TDataSource;
    DataSource2: TDataSource;
    Table1: TTable;
    ATable: TTable;
    DBGrid1: TDBGrid;
    DBGrid2: TDBGrid;
    DBNavigator1: TDBNavigator;
    DBNavigator2: TDBNavigator;
    ADatabase: TDatabase;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
    HSession: HDBISes;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
var NetFileDir: array[0..255] of char;
begin
  Check(DbiStartSession(nil, HSession, StrPCopy(NetFileDir, Session.NetFileDir)));
  ADatabase.Open;
  Check(DbiSetCurrSession(nil));

  ATable.DatabaseName := 'AltSession';
  ATable.Open;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  Check(DbiCloseSession(HSession));
end;

end.
