unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, DBCtrls, Grids, DBGrids, DB, DBTables, StdCtrls;

type
  TfrmMain = class(TForm)
    dbEmployee: TDatabase;
    dsGetEmployees: TDataSource;
    grdEmployees: TDBGrid;
    qryGetEmployees: TQuery;
    qryGetEmployeesEMP_NO: TSmallintField;
    qryGetEmployeesFULL_NAME: TStringField;
    qryGetEmployeesDEPT_NO: TStringField;
    qryGetEmployeesJOB_CODE: TStringField;
    qryGetEmployeesJOB_COUNTRY: TStringField;
    qryGetEmployeesSALARY: TFloatField;
    navEmployees: TDBNavigator;
    grpLocation: TGroupBox;
    btnWorldwide: TRadioButton;
    btnUSAOnly: TRadioButton;
    procedure dbEmployeeLogin(Database: TDatabase; LoginParams: TStrings);
    procedure FormCreate(Sender: TObject);
    procedure btnWorldwideClick(Sender: TObject);
    procedure btnUSAOnlyClick(Sender: TObject);
  private
  public
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.DFM}

procedure TfrmMain.dbEmployeeLogin(Database: TDatabase;
  LoginParams: TStrings);
begin
  LoginParams.Values['USER NAME'] := 'SYSDBA';
  LoginParams.Values['PASSWORD'] := 'masterkey';
end;

procedure TfrmMain.FormCreate(Sender: TObject);
begin
  qryGetEmployees.Open;
end;

procedure TfrmMain.btnWorldwideClick(Sender: TObject);
begin
  qryGetEmployees.Filtered := False;
end;

procedure TfrmMain.btnUSAOnlyClick(Sender: TObject);
begin
  with qryGetEmployees do
  begin
    Filter := 'Job_Country = ''USA''';
    Filtered := True;
  end;
end;

end.
