unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, DBCtrls, Grids, DBGrids, DB, DBTables, StdCtrls, Buttons;

type
  TfrmMain = class(TForm)
    dbEmployee: TDatabase;
    dsGetEmployees: TDataSource;
    grdEmployees: TDBGrid;
    qryGetEmployees: TQuery;
    navEmployees: TDBNavigator;
    qryGetEmployeesEMP_NO: TSmallintField;
    qryGetEmployeesFULL_NAME: TStringField;
    edtSearchMask: TEdit;
    Label1: TLabel;
    btnOK: TBitBtn;
    btnCancel: TBitBtn;
    procedure dbEmployeeLogin(Database: TDatabase; LoginParams: TStrings);
    procedure FormCreate(Sender: TObject);
    procedure edtSearchMaskChange(Sender: TObject);
    procedure btnOKClick(Sender: TObject);
    procedure btnCancelClick(Sender: TObject);
  private
  public
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.DFM}

procedure TfrmMain.dbEmployeeLogin(Database: TDatabase;
  LoginParams: TStrings);
begin
  LoginParams.Values['USER NAME'] := 'SYSDBA';
  LoginParams.Values['PASSWORD'] := 'masterkey';
end;

procedure TfrmMain.FormCreate(Sender: TObject);
begin
  qryGetEmployees.Open;
end;

procedure TfrmMain.edtSearchMaskChange(Sender: TObject);
begin
  with qryGetEmployees do
  begin
    Filter := Format('Full_Name = ''%s*''', [edtSearchMask.Text]);
    FindFirst;
  end;
end;

procedure TfrmMain.btnOKClick(Sender: TObject);
begin
  Close;
end;

procedure TfrmMain.btnCancelClick(Sender: TObject);
begin
  Close;
end;

end.
