unit Mergefrm;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, Nwworld2, ExtCtrls;

type
  TFrmMerge = class(TForm)
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    Bevel1: TBevel;
    Label1: TLabel;
    EdName: TEdit;
    Label2: TLabel;
    Label3: TLabel;
    EdArea: TEdit;
    EdPopulation: TEdit;
    procedure FormShow(Sender: TObject);
    procedure OKBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    FCountry: TCountry;
  end;

var
  FrmMerge: TFrmMerge;

implementation

{$R *.DFM}

uses Sysutils;

procedure TFrmMerge.FormShow(Sender: TObject);
begin
  with FCountry do
  begin
    EdName.Text := Name;
    EdArea.Text := IntToStr(Area);
    EdPopulation.Text := IntToStr(Population);
  end;
end;

procedure TFrmMerge.OKBtnClick(Sender: TObject);
begin
  with FCountry do
  begin
    Name := EdName.Text;
    Area := StrToInt(EdArea.Text);
    Population := StrToInt(EdPopulation.Text);
  end;
end;

end.
