unit Splitfrm;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, ExtCtrls, Nwworld2;

type
  TFrmSplit = class(TForm)
    Bevel1: TBevel;
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    Label1: TLabel;
    EdName1: TEdit;
    Label2: TLabel;
    Label3: TLabel;
    EdArea1: TEdit;
    EdPopulation1: TEdit;
    Bevel2: TBevel;
    Label4: TLabel;
    EdName2: TEdit;
    Label5: TLabel;
    Label6: TLabel;
    EdArea2: TEdit;
    EdPopulation2: TEdit;
    procedure OKBtnClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    FCountry1,FCountry2: TCountry;
  end;

var
  FrmSplit: TFrmSplit;

implementation

{$R *.DFM}

procedure TFrmSplit.FormShow(Sender: TObject);
begin
  with FCountry1 do
  begin
    EdName1.Text := Name;
    EdArea1.Text := IntToStr(Area);
    EdPopulation1.Text := IntToStr(Population);
  end;
  with FCountry2 do
  begin
    EdName2.Text := Name;
    EdArea2.Text := IntToStr(Area);
    EdPopulation2.Text := IntToStr(Population);
  end;
end;

procedure TFrmSplit.OKBtnClick(Sender: TObject);
begin
  with FCountry1 do
  begin
    Name := EdName1.Text;
    Area := StrToInt(EdArea1.Text);
    Population := StrToInt(EdPopulation1.Text);
  end;
  with FCountry2 do
  begin
    Name := EdName2.Text;
    Area := StrToInt(EdArea2.Text);
    Population := StrToInt(EdPopulation2.Text);
  end;
end;

end.
