unit Cln_Form;

interface

uses
  Forms, NewForms;

type
  TClnForm = class(TNewForm)
  procedure CreateParams (var Params : TCreateParams); override;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ClnForm: TClnForm;

procedure Launch_Cln_Form;

implementation

{$R *.DFM}

procedure Launch_Cln_Form;
begin
  Launch (TClnForm,ClnForm);
end;

procedure TClnForm.CreateParams (var Params : TCreateParams);
begin
  if Cfg.MDI_App                   { I have it as a user customised option }
  then FormStyle := fsMdiChild;    { if Mdichild, then the form will close }
                                   { correctly                             }

  Set_Enter := True;               { Enable Cr to Tab conversion }

  Set_Max    := True;              { Set maximum size }
  Max_Width  := 600;
  Max_Height := 400;

  Set_Min    := True;              { Set minimum size }
  Min_Width  := 300;
  Min_Height := 200;

  Set_Pos    := True;              { Set Maximise position }
  Max_Left   := 50;
  Max_Top    := 50;

  inherited CreateParams (Params);  { Now call the inherited CreateParams }
end;

end.
