unit TDMBKS16;
interface
Const
  Books16 = 23;

Type
  TBook = record
            ISBN: String[16];
            Title: String[64];
            Author: String[64];
            Publisher: String[32];
            Price: Double;
            Code: String[7];
            Level: Integer;
            TechnicalContentsQuality: Integer;
            QualityOfWriting: Integer;
            ValueForMoney: Integer;
            OverallAssessment: Integer;
            HREF: String[12];
          end;

{$IFDEF WIN32}
var
{$ELSE}
const
{$ENDIF}
  Book16: Array[1..Books16] of TBook = (
   (ISBN: '1-57169-019-0';
    Title: 'Borland Delphi How-To';
    Author: 'Gary Frerking, Nathan Wallace, Wayne Niddery';
    Publisher: 'Waite Group Press';
    Price: 39.95;
    Code: 'CD-ROM';
    Level: 3;
    TechnicalContentsQuality: 5;
    QualityOfWriting: 4;
    ValueForMoney: 5;
    OverallAssessment: 5;
    HREF: 'pag00002.htm'),

   (ISBN: '1-874416-67-2';
    Title: 'The Revolutionary Guide to Delphi';
    Author: 'Brian Long, Bob Swart, Ewan McNab, Dave Jewell, Arjan Jansen etc';
    Publisher: 'WROX Press';
    Price: 49.95;
    Code: 'CD-ROM';
    Level: 3;
    TechnicalContentsQuality: 4;
    QualityOfWriting: 4;
    ValueForMoney: 3;
    OverallAssessment: 4;
    HREF: 'pag00021.htm'),

   (ISBN: '1-883577-47-0';
    Title: 'Developing Custom Delphi Components';
    Author: 'Ray Konopka';
    Publisher: 'The Coriolis Group';
    Price: 39.99;
    Code: 'CD-ROM';
    Level: 3;
    TechnicalContentsQuality: 5;
    QualityOfWriting: 4;
    ValueForMoney: 4;
    OverallAssessment: 4;
    HREF: 'pag00012.htm'),

   (ISBN: '0-672-30499-6';
    Title: 'Delphi Unleashed';
    Author: 'Charlie Calvert';
    Publisher: 'SAMS';
    Price: 45.00;
    Code: 'CD-ROM';
    Level: 2;
    TechnicalContentsQuality: 5;
    QualityOfWriting: 5;
    ValueForMoney: 4;
    OverallAssessment: 5;
    HREF: 'pag00011.htm'),

   (ISBN: '0-672-30704-9';
    Title: 'Delphi Developer''s Guide';
    Author: 'Xavier Pacheco & Steve Teixeira';
    Publisher: 'SAMS';
    Price: 49.99;
    Code: 'CD-ROM';
    Level: 2;
    TechnicalContentsQuality: 5;
    QualityOfWriting: 4;
    ValueForMoney: 5;
    OverallAssessment: 5;
    HREF: 'pag00005.htm'),

   (ISBN: '1-883577-55-1';
    Title: 'Delphi Starter Kit (= Delphi Programming Explorer + CD-ROM)';
    Author: 'Jeff Duntemann, Jim Mischel, Don Taylor';
    Publisher: 'The Coriolis Group';
    Price: 44.99;
    Code: 'CD-ROM';
    Level: 2;
    TechnicalContentsQuality: 4;
    QualityOfWriting: 5;
    ValueForMoney: 5;
    OverallAssessment: 5;
    HREF: 'pag00010.htm'),

   (ISBN: '0-07-882203-3';
    Title: 'Delphi Nuts and Bolts - for Experienced Programmers';
    Author: 'Gary Cornell';
    Publisher: 'OSBORNE McGraw Hill';
    Price: 24.95;
    Code: 'None';
    Level: 2;
    TechnicalContentsQuality: 3;
    QualityOfWriting: 4;
    ValueForMoney: 4;
    OverallAssessment: 4;
    HREF: 'pag00006.htm'),

   (ISBN: '0-7821-1739-2';
    Title: 'Mastering Delphi';
    Author: 'Marco Cantu';
    Publisher: 'Sybex';
    Price: 49.99;
    Code: 'CD-ROM';
    Level: 2;
    TechnicalContentsQuality: 4;
    QualityOfWriting: 5;
    ValueForMoney: 4;
    OverallAssessment: 4;
    HREF: 'pag00017.htm'),

   (ISBN: '1-55851-455-4';
    Title: 'Delphi - A Developer''s Guide';
    Author: 'Bill Todd & Vince Kellen, with Ray Novak and Brad Saenz';
    Publisher: 'MT Books';
    Price: 44.95;
    Code: 'CD-ROM';
    Level: 2;
    TechnicalContentsQuality: 4;
    QualityOfWriting: 4;
    ValueForMoney: 5;
    OverallAssessment: 4;
    HREF: 'pag00003.htm'),

   (ISBN: '1-56529-823-3';
    Title: 'Special Edition Using Delphi';
    Author: 'Jon Matcho, David R. Faulkner et al.';
    Publisher: 'QUE';
    Price: 29.99;
    Code: 'None';
    Level: 2;
    TechnicalContentsQuality: 4;
    QualityOfWriting: 4;
    ValueForMoney: 4;
    OverallAssessment: 4;
    HREF: 'pag00001.htm'),

   (ISBN: '1-56604-292-5';
    Title: 'Delphi Power Toolkit for Windows';
    Author: 'Harold Davis';
    Publisher: 'VENTANA';
    Price: 49.95;
    Code: 'CD-ROM';
    Level: 2;
    TechnicalContentsQuality: 4;
    QualityOfWriting: 3;
    ValueForMoney: 4;
    OverallAssessment: 4;
    HREF: 'pag00007.htm'),

   (ISBN: '1-56884-347-X';
    Title: 'Foundations of Delphi Development for Windows 95';
    Author: 'Tom Swan';
    Publisher: 'IDG Books';
    Price: 39.99;
    Code: 'CD-ROM';
    Level: 2;
    TechnicalContentsQuality: 4;
    QualityOfWriting: 4;
    ValueForMoney: 4;
    OverallAssessment: 4;
    HREF: 'pag00015.htm'),

   (ISBN: '1-883577-25-X';
    Title: 'Delphi Programming Explorer';
    Author: 'Jeff Duntemann, Jim Mischel, Don Taylor';
    Publisher: 'The Coriolis Group';
    Price: 39.99;
    Code: 'Disk';
    Level: 2;
    TechnicalContentsQuality: 4;
    QualityOfWriting: 5;
    ValueForMoney: 4;
    OverallAssessment: 4;
    HREF: 'pag00008.htm'),

   (ISBN: '1-56884-200-7';
    Title: 'Delphi Programming for Dummies';
    Author: 'Neil Rubenking';
    Publisher: 'IDG Books';
    Price: 19.99;
    Code: 'None';
    Level: 1;
    TechnicalContentsQuality: 4;
    QualityOfWriting: 5;
    ValueForMoney: 5;
    OverallAssessment: 5;
    HREF: 'pag00009.htm'),

   (ISBN: '1-55851-412-0';
    Title: 'The Tao of Objects (2nd edition)';
    Author: 'Gary Entsminger';
    Publisher: 'MT Books';
    Price: 27.95;
    Code: 'None';
    Level: 1;
    TechnicalContentsQuality: 4;
    QualityOfWriting: 4;
    ValueForMoney: 4;
    OverallAssessment: 4;
    HREF: 'pag00022.htm'),

   (ISBN: '1-874416-57-5';
    Title: 'Instant Delphi Programming';
    Author: 'Dave Jewell';
    Publisher: 'WROX Press';
    Price: 24.95;
    Code: 'Disk';
    Level: 1;
    TechnicalContentsQuality: 3;
    QualityOfWriting: 4;
    ValueForMoney: 4;
    OverallAssessment: 4;
    HREF: 'pag00016.htm'),

   (ISBN: '0-13-378118-6';
    Title: 'Developing with Delphi Object-Oriented Techniques';
    Author: 'Edward C. Weber, J. Neal Ford, Christopher R. Weber';
    Publisher: 'Prentice Hall';
    Price: 29.95;
    Code: 'Disk';
    Level: 1;
    TechnicalContentsQuality: 3;
    QualityOfWriting: 4;
    ValueForMoney: 3;
    OverallAssessment: 3;
    HREF: 'pag00014.htm'),

   (ISBN: '0-471-11017-5';
    Title: 'Developing Windows Applications Using Delphi';
    Author: 'Paul Penrod';
    Publisher: 'Wiley';
    Price: 29.95;
    Code: 'None';
    Level: 1;
    TechnicalContentsQuality: 3;
    QualityOfWriting: 3;
    ValueForMoney: 4;
    OverallAssessment: 3;
    HREF: 'pag00013.htm'),

   (ISBN: '0-672-30470-8';
    Title: 'Teach Yourself Delphi in 21 Days';
    Author: 'Andrew J. Wozniewicz, Namir Shammas & Tom Campbell (bonus)';
    Publisher: 'SAMS';
    Price: 29.99;
    Code: 'None';
    Level: 1;
    TechnicalContentsQuality: 2;
    QualityOfWriting: 3;
    ValueForMoney: 3;
    OverallAssessment: 3;
    HREF: 'pag00019.htm'),

   (ISBN: '0-672-30851-7';
    Title: 'Teach Yourself Database Programming with Delphi in 21 Days';
    Author: 'Nathan and Ori Gurewich';
    Publisher: 'SAMS';
    Price: 39.99;
    Code: 'CD-ROM';
    Level: 1;
    TechnicalContentsQuality: 4;
    QualityOfWriting: 3;
    ValueForMoney: 3;
    OverallAssessment: 3;
    HREF: 'pag00018.htm'),

   (ISBN: '1-56529-757-1';
    Title: 'Delphi by Example';
    Author: 'Blake Watson';
    Publisher: 'QUE';
    Price: 29.99;
    Code: 'On-line';
    Level: 1;
    TechnicalContentsQuality: 3;
    QualityOfWriting: 4;
    ValueForMoney: 3;
    OverallAssessment: 3;
    HREF: 'pag00004.htm'),

   (ISBN: '90-5160-807-1';
    Title: 'Werken met Delphi';
    Author: 'Rob Baas and Maaike Verweij';
    Publisher: 'Sybex';
    Price: 99.00;
    Code: 'None';
    Level: 1;
    TechnicalContentsQuality: 3;
    QualityOfWriting: 3;
    ValueForMoney: 3;
    OverallAssessment: 3;
    HREF: 'pag00023.htm'),

   (ISBN: '1-55828-390-0';
    Title: 'Teach Yourself... Delphi';
    Author: 'Devra Hall';
    Publisher: 'MIS: Press';
    Price: 27.95;
    Code: 'Disk';
    Level: 1;
    TechnicalContentsQuality: 2;
    QualityOfWriting: 3;
    ValueForMoney: 2;
    OverallAssessment: 2;
    HREF: 'pag00020.htm'));

implementation
end.
