unit TDMBKS32;
interface
Const
  Books32 = 21;

Type
  TBook = record
            ISBN: String[16];
            Title: String[64];
            Author: String[64];
            Publisher: String[32];
            Price: Double;
            Code: String[7];
            Level: Integer;
            TechnicalContentsQuality: Integer;
            QualityOfWriting: Integer;
            ValueForMoney: Integer;
            OverallAssessment: Integer;
            HREF: String[12];
          end;

{$IFDEF WIN32}
var
{$ELSE}
const
{$ENDIF}
  Book32: Array[1..Books32] of TBook = (
   (ISBN: '1-56884-795-5';
    Title: 'Delphi Programming Problem Solver';
    Author: 'Neil Rubenking';
    Publisher: 'IDG Books';
    Price: 34.99;
    Code: 'Disk';
    Level: 3;
    TechnicalContentsQuality: 5;
    QualityOfWriting: 5;
    ValueForMoney: 5;
    OverallAssessment: 5;
    HREF: 'pag00014.htm'),

   (ISBN: '1-883577-47-0';
    Title: 'Developing Custom Delphi Components';
    Author: 'Ray Konopka';
    Publisher: 'The Coriolis Group';
    Price: 39.99;
    Code: 'CD-ROM';
    Level: 3;
    TechnicalContentsQuality: 5;
    QualityOfWriting: 4;
    ValueForMoney: 4;
    OverallAssessment: 4;
    HREF: 'pag00015.htm'),

   (ISBN: '1-874416-67-2';
    Title: 'The Revolutionary Guide to Delphi 2';
    Author: 'Brian Long, Bob Swart, Ewan McNab, Dave Jewell, Arjan Jansen etc';
    Publisher: 'WROX Press';
    Price: 49.95;
    Code: 'CD-ROM';
    Level: 3;
    TechnicalContentsQuality: 4;
    QualityOfWriting: 4;
    ValueForMoney: 3;
    OverallAssessment: 4;
    HREF: 'pag00021.htm'),

   (ISBN: '0-672-30914-9';
    Title: 'Delphi 2 Developer''s Guide';
    Author: 'Xavier Pacheco & Steve Teixeira';
    Publisher: 'SAMS';
    Price: 59.99;
    Code: 'CD-ROM';
    Level: 3;
    TechnicalContentsQuality: 5;
    QualityOfWriting: 5;
    ValueForMoney: 4;
    OverallAssessment: 5;
    HREF: 'pag00007.htm'),

   (ISBN: '0-672-30898-3';
    Title: 'Peter Norton''s Guide to Delphi 2';
    Author: 'John Paul Mueller';
    Publisher: 'SAMS Premier';
    Price: 49.99;
    Code: 'CD-ROM';
    Level: 3;
    TechnicalContentsQuality: 4;
    QualityOfWriting: 4;
    ValueForMoney: 4;
    OverallAssessment: 4;
    HREF: 'pag00017.htm'),

   (ISBN: '0-672-30862-2';
    Title: 'Database Developer''s Guide with Delphi 2';
    Author: 'Ken Henderson';
    Publisher: 'SAMS';
    Price: 55.00;
    Code: 'CD-ROM';
    Level: 3;
    TechnicalContentsQuality: 5;
    QualityOfWriting: 5;
    ValueForMoney: 4;
    OverallAssessment: 5;
    HREF: 'pag00005.htm'),

   (ISBN: '0-7821-1860-7';
    Title: 'Mastering Delphi 2 for Windows 95/NT';
    Author: 'Marco Cantu';
    Publisher: 'Sybex';
    Price: 49.99;
    Code: 'CD-ROM';
    Level: 2;
    TechnicalContentsQuality: 5;
    QualityOfWriting: 5;
    ValueForMoney: 4;
    OverallAssessment: 5;
    HREF: 'pag00016.htm'),

   (ISBN: '1-883577-72-1';
    Title: 'The New Delphi 2 Programming Explorer';
    Author: 'Jeff Duntemann, Jim Mischel, Don Taylor';
    Publisher: 'The Coriolis Group';
    Price: 44.99;
    Code: 'CD-ROM';
    Level: 2;
    TechnicalContentsQuality: 4;
    QualityOfWriting: 5;
    ValueForMoney: 4;
    OverallAssessment: 4;
    HREF: 'pag00020.htm'),

   (ISBN: '1-883577-64-0';
    Title: 'Delphi 2 Multimedia Adventure Set';
    Author: 'Scott Jarol, Dan Haygood, and Chris D. Coppola';
    Publisher: 'The Coriolis Group';
    Price: 44.99;
    Code: 'CD-ROM';
    Level: 2;
    TechnicalContentsQuality: 4;
    QualityOfWriting: 4;
    ValueForMoney: 4;
    OverallAssessment: 4;
    HREF: 'pag00008.htm'),

   (ISBN: '1-55851-469-4';
    Title: 'Delphi Database Development';
    Author: 'Ted Blue, John Kaster, Greg Lief & Loren Scott';
    Publisher: 'MT Books';
    Price: 44.95;
    Code: 'CD-ROM';
    Level: 2;
    TechnicalContentsQuality: 5;
    QualityOfWriting: 4;
    ValueForMoney: 4;
    OverallAssessment: 4;
    HREF: 'pag00011.htm'),

   (ISBN: '0-7897-0732-2';
    Title: 'Building Internet Applications with Delphi 2';
    Author: 'Davis Chapman';
    Publisher: 'QUE';
    Price: 49.99;
    Code: 'CD-ROM';
    Level: 2;
    TechnicalContentsQuality: 4;
    QualityOfWriting: 4;
    ValueForMoney: 4;
    OverallAssessment: 4;
    HREF: 'pag00004.htm'),

   (ISBN: '0-7897-0591-5';
    Title: 'Special Edition Using Delphi 2';
    Author: 'Brickhouse Data Systems';
    Publisher: 'QUE';
    Price: 49.99;
    Code: 'CD-ROM';
    Level: 2;
    TechnicalContentsQuality: 4;
    QualityOfWriting: 4;
    ValueForMoney: 4;
    OverallAssessment: 4;
    HREF: 'pag00018.htm'),

   (ISBN: '0-7897-0492-7';
    Title: 'Building Delphi 2 Database Applications';
    Author: 'Paul Kimmel';
    Publisher: 'QUE';
    Price: 49.99;
    Code: 'CD-ROM';
    Level: 2;
    TechnicalContentsQuality: 4;
    QualityOfWriting: 4;
    ValueForMoney: 4;
    OverallAssessment: 4;
    HREF: 'pag00003.htm'),

   (ISBN: '0-672-30863-0';
    Title: 'Teach Yourself Delphi 2 in 21 Days';
    Author: 'Dan Osier, Steve Grobman and Steve Batson';
    Publisher: 'SAMS';
    Price: 35.00;
    Code: 'On-line';
    Level: 2;
    TechnicalContentsQuality: 3;
    QualityOfWriting: 3;
    ValueForMoney: 3;
    OverallAssessment: 3;
    HREF: 'pag00019.htm'),

   (ISBN: '0-672-30858-4';
    Title: 'Delphi 2 Unleashed';
    Author: 'Charlie Calvert (with Mike Scott, Andy Fears and Ann Lynnworth)';
    Publisher: 'SAMS';
    Price: 59.99;
    Code: 'CD-ROM';
    Level: 2;
    TechnicalContentsQuality: 4;
    QualityOfWriting: 4;
    ValueForMoney: 3;
    OverallAssessment: 4;
    HREF: 'pag00010.htm'),

   (ISBN: '0-07-882203-3';
    Title: 'Delphi Nuts and Bolts - for Experienced Programmers (2nd edition)';
    Author: 'Gary Cornell';
    Publisher: 'OSBORNE McGraw Hill';
    Price: 24.95;
    Code: 'None';
    Level: 2;
    TechnicalContentsQuality: 3;
    QualityOfWriting: 4;
    ValueForMoney: 4;
    OverallAssessment: 4;
    HREF: 'pag00012.htm'),

   (ISBN: '1-874416-74-5';
    Title: 'Beginning Delphi 2.0';
    Author: 'Peter Wright';
    Publisher: 'WROX Press';
    Price: 36.95;
    Code: 'Disk';
    Level: 1;
    TechnicalContentsQuality: 4;
    QualityOfWriting: 4;
    ValueForMoney: 4;
    OverallAssessment: 4;
    HREF: 'pag00001.htm'),

   (ISBN: '1-56884-621-5';
    Title: 'Delphi Programming for Dummies (2nd edition)';
    Author: 'Neil Rubenking';
    Publisher: 'IDG Books';
    Price: 24.99;
    Code: 'None';
    Level: 1;
    TechnicalContentsQuality: 4;
    QualityOfWriting: 4;
    ValueForMoney: 4;
    OverallAssessment: 4;
    HREF: 'pag00013.htm'),

   (ISBN: '0-7897-0592-3';
    Title: 'Delphi 2 by Example';
    Author: 'Scott L. Warner and Paul Goldsman';
    Publisher: 'QUE';
    Price: 29.99;
    Code: 'None';
    Level: 1;
    TechnicalContentsQuality: 4;
    QualityOfWriting: 3;
    ValueForMoney: 4;
    OverallAssessment: 4;
    HREF: 'pag00006.htm'),

   (ISBN: '0-672-30871-1';
    Title: 'Borland''s Official No-Nonsense Guide to Delphi 2';
    Author: 'Michelle M. Manning';
    Publisher: 'SAMS (Borland Press)';
    Price: 25.00;
    Code: 'None';
    Level: 1;
    TechnicalContentsQuality: 3;
    QualityOfWriting: 4;
    ValueForMoney: 4;
    OverallAssessment: 4;
    HREF: 'pag00002.htm'),

   (ISBN: '0-7897-0750-0';
    Title: 'Delphi 2 Tutor';
    Author: 'Mike McKelvy';
    Publisher: 'QUE';
    Price: 49.99;
    Code: 'CD-ROM';
    Level: 1;
    TechnicalContentsQuality: 4;
    QualityOfWriting: 3;
    ValueForMoney: 2;
    OverallAssessment: 3;
    HREF: 'pag00009.htm'));

implementation
end.
