#include <owl\window.h>
#include "dowlsldr.h"

TOWLSlider::TOWLSlider():TOWLDelphiControl()
{
	 FOnChange.Code    = NULL;
};

int  TOWLSlider::GetPos()
{
 if (InternalControl != NULL)
  return TYPESAFE_DOWNCAST(InternalControl,
						  THSlider)->GetPosition();
 else
  return 0;
};

void   TOWLSlider::SetPos(int pos)
{
 if (InternalControl != NULL)
	TYPESAFE_DOWNCAST(InternalControl,
							 THSlider)->SetPosition(pos);
};

int  TOWLSlider::GetMinRange()
{
 int Min = 0,Max = 0;

 if (InternalControl != NULL)
  TYPESAFE_DOWNCAST(InternalControl,THSlider)->
		 GetRange(Min,Max);
  return Min;
};
int  TOWLSlider::GetMaxRange()
{
	int Min = 0,Max = 0;
	if (InternalControl != NULL)
		 TYPESAFE_DOWNCAST(InternalControl,THSlider)->
			 GetRange(Min,Max);
  return Max;
};
void  TOWLSlider::SetMinRange(int min)
{
 if (InternalControl != NULL)
  TYPESAFE_DOWNCAST(InternalControl,THSlider)->
	SetRange(min,GetMaxRange());
};
void  TOWLSlider::SetMaxRange(int max)
{
 if (InternalControl != NULL)
  TYPESAFE_DOWNCAST(InternalControl,
	 THSlider)->SetRange(GetMinRange(),max);
};

void  TOWLSlider::SetTicGap(int ticGap)
{
  if (InternalControl != NULL)
	TYPESAFE_DOWNCAST(InternalControl,
	  THSlider)->SetRuler(ticGap);

};

void TOWLSlider::DoChange()
{
	 DoNotifyEvent(FOnChange);
};

void  TOWLSlider::SetOnChange(TEvent func)
{
	 FOnChange = func;
};
