#ifndef OWLCTR_H
#define OWLCTR_H
#include <owl\owlcore.h>
//#include <owl\window.h>
#include "delevent.h"

#if !defined(__FLAT__)
  #define FARVTABLE _huge
#else
  #define FARVTABLE
#endif



typedef void  (*TDispatchEvent)(   const void *thisPtr,
											  unsigned int Msg,
											  unsigned int  wp,
											  unsigned long lp);

class FARVTABLE TOWLDelphiControl {

	  TEvent FDispatchEvent;

	 protected:
	  void DoNotifyEvent(TEvent AnEvent);
	  TWindow *InternalControl;
  public:
	 TOWLDelphiControl();
	 ~TOWLDelphiControl();

	  void InsertOWLControl(TWindow *IControl);

	  unsigned long DoDispatch(uint Msg, WPARAM wp, LPARAM lp);
	 virtual void      SetVisible(bool aValue);
	 virtual bool      GetVisible();
	 virtual void      SetEnabled(bool aValue);
	 virtual bool      GetEnabled();
	 virtual void      SetOnMessage(TEvent func);
	 virtual void      BringToFront();
	 virtual TPoint    ClientToScreen( TPoint pt );
	 virtual int       GetTextBuf( LPSTR Buff, int Len );
	 virtual int       GetTextLen();
	 virtual void      Hide();
	 virtual void      Invalidate();
	 virtual void      Refresh();
	 virtual void      Repaint();
	 virtual TPoint    ScreenToClient( TPoint pt );
	 virtual void      ScrollBy( int DeltaX, int DeltaY );
	 virtual void      SendToBack();
	 virtual void      SetBounds( int l, int t, int w, int h );
	 virtual void      SetTextBuf( LPCSTR lpsz );
	 virtual void      Show();
	 virtual void      Update();
};
#endif
