unit comOWL;

interface
uses Classes, Wintypes;

type
 TCMessageEvent = procedure (aMsg, wParam : Word; lParam: Longint) cdecl of object;
 TCPPNotifyEvent = procedure (Sender : TObject) cdecl of object;
 TCOMInterface = class
     procedure SetVisible(aValue: boolean); virtual; cdecl; abstract;
     function  GetVisible : boolean; virtual; cdecl; abstract;
     procedure SetEnabled(aValue: boolean); virtual; cdecl; abstract;
     function  GetEnabled : boolean; virtual; cdecl; abstract;
     procedure SetOnMessage(func : TCMessageEvent); virtual; cdecl; abstract;
     procedure BringToFront; virtual; cdecl; abstract;
     function  ClientToScreen( pt : TPoint):TPoint; virtual; cdecl; abstract;
     function  GetTextBuf(Buff : PChar; Len : integer): integer;
                     virtual; cdecl; abstract;
     function  GetTextLen:integer; virtual; cdecl; abstract;
     procedure Hide; virtual; cdecl; abstract;
     procedure Invalidate; virtual; cdecl; abstract;
     procedure Refresh; virtual; cdecl; abstract;
     procedure Repaint; virtual; cdecl; abstract;
     function  ScreenToClient( pt:TPoint ):TPoint;   virtual; cdecl; abstract;
     procedure ScrollBy(DeltaX , DeltaY : integer ); virtual; cdecl; abstract;
     procedure SendToBack; virtual; cdecl; abstract;
     procedure SetBounds( l, t, w, h : integer); virtual; cdecl; abstract;
     procedure SetTextBuf( psz : pchar ); virtual; cdecl; abstract;
     procedure Show;   virtual; cdecl; abstract;
     procedure Update; virtual; cdecl; abstract;
end;

implementation

end.
