unit Finfo;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, Grids, DBGrids, DB, DBTables, StdCtrls, Bdejoc, Infotab;

type
  TForm1 = class(TForm)
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    DrvrList: TIdapiCfg;
    TableCaps: TGenTable;
    DataSource2: TDataSource;
    DBGrid2: TDBGrid;
    procedure DataSource1DataChange(Sender: TObject; Field: TField);
  private
    { Private declarations }
    InFormStart: boolean;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation
uses DbiProcs, DbiTypes;

{$R *.DFM}

procedure TForm1.DataSource1DataChange(Sender: TObject; Field: TField);
var DrvrName: string;
    szDrVrName: DBINAME;
    Cursor: HDBICur;
begin
  DrvrName := DrvrList.FieldByName('DRIVERNAME').AsString;
  StrPCopy(szDrvrName, DrvrName);
  TableCaps.Close;
  Cursor := nil;
  Check(DbiOpenTableTypesList(szDrvrName, Cursor));
  TableCaps.Handle := Cursor;
  TableCaps.Open;
end;

end.
