unit Unit1;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, ExtCtrls, Sprites, Spritebx, Waveplay;

type
  TForm1 = class(TForm)
    SpriteBox1: TSpriteBox;
    Sprite1: TSprite;
    Timer1: TTimer;
    Sprite6: TSprite;
    WavePlayer1: TWavePlayer;
    Sprite2: TSprite;
    procedure Timer1Timer(Sender: TObject);
    procedure Sprite6Move(Sender: TObject; var Bounds: TRect);
    procedure Sprite1Move(Sender: TObject; var Bounds: TRect);
    procedure Sprite6Bounce(Sender: TObject);
    procedure Sprite2Move(Sender: TObject; var Bounds: TRect);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Timer1Timer(Sender: TObject);
begin
  SpriteBox1.DrawSprite;
end;

procedure TForm1.Sprite6Move(Sender: TObject; var Bounds: TRect);
var
  Dest, Src1, Src2: TRect;
  i: integer;
begin
  for i := 0 to SpriteBox1.ControlCount-1 do
  begin
    with SpriteBox1 do
    begin
      if (Controls[i] as TSprite) <> (Sender as TSprite) then
      begin
        Src1 := Rect((Controls[i] as TSprite).SLeft,(Controls[i] as TSprite).STop,
          (Controls[i] as TSprite).SLeft+(Controls[i] as TSprite).Width,
            (Controls[i] as TSprite).STop+(Controls[i] as TSprite).Height);
        Src2 := Bounds;
        {$IFDEF VER80}
        if IntersectRect(Dest,Src1,Src2) <> 0 then
        {$ELSE}
        if IntersectRect(Dest,Src1,Src2) <> false then
        {$ENDIF}
        begin
          if (Dest.Right-Dest.Left) > (Dest.Bottom-Dest.Top) then
          begin
            (Controls[i] as TSprite).VY := -(Controls[i] as TSprite).VY;
            (Sender as TSprite).VY := -(Sender as TSprite).VY;
          end else
          if (Dest.Right-Dest.Left) < (Dest.Bottom-Dest.Top) then
          begin
            (Controls[i] as TSprite).VX := -(Controls[i] as TSprite).VX;
            (Sender as TSprite).VX := -(Sender as TSprite).VX;
          end else
          begin
            (Controls[i] as TSprite).VX := -(Controls[i] as TSprite).VX;
            (Controls[i] as TSprite).VY := -(Controls[i] as TSprite).VY;
            (Sender as TSprite).VY := -(Sender as TSprite).VY;
            (Sender as TSprite).VX := -(Sender as TSprite).VX;
          end;
        end;
      end; {Control <> Sender}
    end; {with spritebox do}
  end; {for i = do}
  if ((Bounds.Left <= 0) or (Bounds.Right >= SpriteBox1.Width)) then
    (Sender as TSprite).VX := -(Sender as TSprite).VX;
  if ((Bounds.Top <= 0) or (Bounds.Bottom >= SpriteBox1.Height)) then
    (Sender as TSprite).VY := -(Sender as TSprite).VY;
  Bounds.Left := Bounds.Left+(Sender as TSprite).VX;
  Bounds.Top := Bounds.Top+(Sender as TSprite).VY;
end;

procedure TForm1.Sprite1Move(Sender: TObject; var Bounds: TRect);
begin
  Bounds.Top := Bounds.Top+(Sender as TSprite).VY;
  if Bounds.Top > SpriteBox1.Height then
    Bounds.Top := 0-(Sender as TSprite).Height;
  if Bounds.Top+(Sender as TSprite).Height < SpriteBox1.Top then
    Bounds.Top := SpriteBox1.Height;
end;

procedure TForm1.Sprite2Move(Sender: TObject; var Bounds: TRect);
begin
  if ((Bounds.Left <= 350) or (Bounds.Right >= 480)) then
    (Sender as TSprite).VY := -(Sender as TSprite).VY;
  Bounds.Left := Bounds.Left+(Sender as TSprite).VY;
end;

procedure TForm1.Sprite6Bounce(Sender: TObject);
begin
  WavePlayer1.Play;
end;

end.
