{ Boyer Moore string search on a buffer }
function PosBM(const P: String; const Buffer; Count: Longint): Longint;
var
  i,j : Cardinal;
  m,n : Cardinal;
  Skip : array[Char] of Integer;
  procedure InitSkip;
  var
    Ch: Char;
    i: Integer;
  begin
    for Ch := Low(Char) to High(Char) do Skip[Ch] := M;
    for i := 1 to M do Skip[P[i]] := M-i;
  end;
  function A(Index: Cardinal): Char;
  begin
     Result := Chr(TByteArray(Buffer)[Index-1]);
  end;
begin
  Result := 0;
  if (Count=0) or (P='') then exit;
  M := Length(P);
  N := Count;
  i := M; j := M;
  InitSkip;
  repeat
    if (A(i)=P[j]) then begin
      Dec(i);
      Dec(j);
    end else begin
      if M-j+1 > Skip[A(i)] then
        i := i+M-j+1
      else
        i := i+Skip[A(i)];
      j := M;
    end;
  until (j<1) or (i>N);
  if i>N then
    Result := -1
  else
    Result := i;
end;
