unit TDMComm;

interface

const
  DelphiMagURL = 'http://members.aol.com/DelphiMag/';
  TurboPowerURL = 'http://www.tpower.com/';
  BackIssuesURL = DelphiMagURL + 'backissu.htm/';
  PagesURL = '';
  DataDirectory = 'TDMAIDData\';

function IssueNumToMonthYear(IssueNum: Integer): string;

implementation

uses
  SysUtils;

function IssueNumToMonthYear(IssueNum: Integer): string;
begin
  case IssueNum of
    1: Result := 'April 1995';
    2: Result := 'July 1995';
    3: Result := 'September 1995';
    4: Result := 'November 1995';
  else
    if IssueNum >= 5 then { monthly from now on }
      Result := Format('%s %d',[LongMonthNames[((IssueNum - 5) mod 12)+1],
            1996 + (Pred(IssueNum - 4) div 12)])
    else
      Result := 'unknown'
  end
end;

end.
