unit ReOrderU;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, ComCtrls, DB, DBTables, Grids, DBGrids;

type
  TForm1 = class(TForm)
    HeaderControl1: THeaderControl;
    DBGrid1: TDBGrid;
    DataSource1: TDataSource;
    Query1: TQuery;
    procedure FormCreate(Sender: TObject);
    procedure Query1AfterOpen(DataSet: TDataSet);
    procedure HeaderControl1SectionClick(HeaderControl: THeaderControl;
      Section: THeaderSection);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

const
  SQLText = 'select CustNo, Company from Customer where Company like "%iv%"';

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  Query1.Sql.Add(SQLText);
  Query1.Open
end;

procedure TForm1.Query1AfterOpen(DataSet: TDataSet);
var
  Loop: Integer;
begin
  HeaderControl1.Sections.Clear;
  if dgIndicator in DBGrid1.Options then
    with HeaderControl1.Sections.Add do
      AllowClick := False;
  for Loop := 0 to Pred(Query1.FieldCount) do
    with HeaderControl1.Sections.Add do
      Text := Query1.Fields[Loop].DisplayName;
  for Loop := 0 to Pred(TStringGrid(DBGrid1).ColCount) do
    with HeaderControl1.Sections[Loop] do
    begin
      Width := Succ(TStringGrid(DBGrid1).ColWidths[Loop]);
      MinWidth := Width;
      MaxWidth := Width;
    end;
end;

procedure TForm1.HeaderControl1SectionClick(HeaderControl: THeaderControl;
  Section: THeaderSection);
begin
  Query1.Sql.Clear;
  Query1.Sql.Add(SQLText);
  Query1.Sql.Add('order by ' + Section.Text);
  Query1.Open
end;

end.
