unit ReOrdrU2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  DBTables, DB, Grids, DBGrids, ComCtrls;

type
  TForm2 = class(TForm)
    HeaderControl1: THeaderControl;
    DBGrid1: TDBGrid;
    DataSource1: TDataSource;
    Table1: TTable;
    Table1CustNo: TFloatField;
    Table1Company: TStringField;
    procedure FormCreate(Sender: TObject);
    procedure Table1AfterOpen(DataSet: TDataSet);
    procedure HeaderControl1SectionClick(HeaderControl: THeaderControl;
      Section: THeaderSection);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

{$R *.DFM}

procedure TForm2.FormCreate(Sender: TObject);
begin
  Table1.Open
end;

procedure TForm2.Table1AfterOpen(DataSet: TDataSet);
var
  Loop: Integer;
begin
  HeaderControl1.Sections.Clear;
  if dgIndicator in DBGrid1.Options then
    with HeaderControl1.Sections.Add do
      AllowClick := False;
  for Loop := 0 to Pred(Table1.FieldCount) do
    with HeaderControl1.Sections.Add do
      Text := Table1.Fields[Loop].DisplayName;
  for Loop := 0 to Pred(TStringGrid(DBGrid1).ColCount) do
    with HeaderControl1.Sections[Loop] do
    begin
      Width := Succ(TStringGrid(DBGrid1).ColWidths[Loop]);
      MinWidth := Width;
      MaxWidth := Width;
    end;
end;

procedure TForm2.HeaderControl1SectionClick(HeaderControl: THeaderControl;
  Section: THeaderSection);
begin
  Table1.IndexFieldNames := Section.Text
end;

end.
