unit coolform;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, Menus, Coolbar, Tabs, ComCtrls, StdCtrls;

type
    TForm1 = class(TForm)
    Panel1: TPanel;
    Button1: TButton;
    TrackBar1: TTrackBar;
    Panel2: TPanel;
    ProgressBar1: TProgressBar;
    Image1: TImage;
    ComboBox1: TComboBox;
    procedure FormCreate(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    private
        { Private declarations }
        hWndCoolbar: hWnd;
        procedure CoolBarInit;
    public
        { Public declarations }
    end;

var
  Form1: TForm1;

implementation

const
    id_CoolBar = 1111;

{$R *.DFM}

procedure TForm1.CoolBarInit;
begin
    hWndCoolbar := AddCoolBar (Handle);
end;

procedure TForm1.FormCreate (Sender: TObject);
begin
    CoolBarInit;
    AddBand (hWndCoolbar, Panel1);
    AddBand (hWndCoolbar, Panel2);
end;

procedure TForm1.FormResize (Sender: TObject);
begin
    AlignCoolBar (hWndCoolbar);
end;

procedure TForm1.TrackBar1Change(Sender: TObject);
begin
    MessageBeep (0);
    ProgressBar1.Position := TrackBar1.Position;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
    MessageDlg ('Thanks - You''re a pal !', mtInformation, [mbok], 0);
end;

end.

