unit D3VerU;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    lblPlatform: TLabel;
    lblVersion: TLabel;
    lblAdditionalInfo: TLabel;
    lblBuild: TLabel;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  case Win32Platform of
    Ver_Platform_Win32s:
      lblPlatform.Caption := 'Win32s'; //Unlikely, but still...
    Ver_Platform_Win32_Windows:
      lblPlatform.Caption := 'Windows';
    Ver_Platform_Win32_NT:
      lblPlatform.Caption := 'Windows NT';
  end;
  lblVersion.Caption := Format('%d.%d',
    [Win32MajorVersion, Win32MinorVersion]);
  lblBuild.Caption := Format('%x', [Win32BuildNumber]);
  lblAdditionalInfo.Caption := Win32CSDVersion;
end;

end.
