unit PoorPerU;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

  { Type to signify the different routines }
  TProcName = (pnProc1, pnProc2, pnProc3);

var
  Form1: TForm1;

implementation

{$R *.DFM}

{ Here are the routines }

procedure One; far;
begin
  ShowMessage('One');
end;

procedure Two; far;
begin
  ShowMessage('Two');
end;

procedure Three; far;
begin
  ShowMessage('Three');
end;

{ Here is the routine that calls stuff }

procedure DoIt(ProcToCall: TProcName);
{ An array of the routines }
const
  Procs: array[TProcName] of TProcedure =
    (One, Two, Three);
begin
  { Call the appropriate routine }
  Procs[ProcToCall];
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  DoIt(pnProc1);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  DoIt(pnProc2);
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  DoIt(pnProc3);
end;

end.
