unit wizard;
interface
uses
  WinTypes, WinProcs,
  Messages, Classes, Graphics, Controls, Forms, Dialogs, ExtCtrls, StdCtrls;

type
  TWizardForm = class(TForm)
    DrBobWizardTemplatePanel: TPanel;
    Bevel: TBevel;
    Notebook: TNotebook;
    ButtonCancel: TButton;
    ButtonNext: TButton;
    ButtonBack: TButton;
    Panel: TPanel;
    Image: TImage;
    procedure FormShow(Sender: TObject);
    procedure ButtonStepClick(Sender: TObject);
  end;

var
  WizardForm: TWizardForm;

implementation
{$R *.DFM}

procedure TWizardForm.FormShow(Sender: TObject);
begin
  ButtonStepClick(Sender)
end;

procedure TWizardForm.ButtonStepClick(Sender: TObject);
begin
  if Sender IS TButton then
    NoteBook.PageIndex := NoteBook.PageIndex + (Sender AS TButton).Tag
  else NoteBook.PageIndex := 0;
  ButtonBack.Enabled := NoteBook.PageIndex > 0; { first }
  if NoteBook.PageIndex < Pred(NoteBook.Pages.Count) then
  begin
    ButtonNext.Caption := '&Next >';
    ButtonNext.ModalResult := mrNone
  end
  else { Finish }
  begin
    ButtonNext.Caption := '&Finish';
    ButtonNext.ModalResult := mrOk
  end
end;


end.
