unit MenuU1;

{$ifdef Win32} { If we are in 32-bit... }
  {$ifndef Ver90} { ...and not using Delphi 2 }
    'This fix is not requred in Delphi 3 and upwards'
  {$endif}
{$endif}

interface

uses
  WinTypes, WinProcs, Messages, Classes, Graphics, Forms, Controls,
  Menus, Dialogs, StdCtrls, Buttons, ExtCtrls;

type
  TMainForm = class(TForm)
    MainMenu: TMainMenu;
    FileMenu: TMenuItem;
    OpenItem: TMenuItem;
    SaveItem: TMenuItem;
    ExitItem: TMenuItem;
    N1: TMenuItem;
    Help1: TMenuItem;
    About1: TMenuItem;
    Button1: TButton;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure ExitItemClick(Sender: TObject);
  private
    function DoAppMessage(var Msg: TMessage): Boolean;
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

function TMainForm.DoAppMessage(var Msg: TMessage): Boolean;
begin
  Result := (Msg.Msg = cm_AppSysCommand)
{$ifndef CompletelyStopMenuRedirections}
    and (Screen.ActiveForm.Menu <> nil)
{$endif}
end;

procedure TMainForm.FormCreate(Sender: TObject);
begin
  Application.HookMainWindow(DoAppMessage);
end;

procedure TMainForm.FormDestroy(Sender: TObject);
begin
  Application.UnHookMainWindow(DoAppMessage);
end;

procedure TMainForm.Button1Click(Sender: TObject);
begin
  ShowMessage('It')
end;

procedure TMainForm.ExitItemClick(Sender: TObject);
begin
  Application.Terminate
end;

end.
 
