
{sample for TDirTree; see dirtree.pas for details}

unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, dirtree, StdCtrls, FileCtrl, ExtCtrls;

type
  TForm1 = class(TForm)
    DriveComboBox1: TDriveComboBox;
    Panel1: TPanel;
    Label1: TLabel;
    CheckBox1: TCheckBox;
    procedure DirTree1AddDir(Filename: string; var DoAdd: Boolean);
    procedure DirTree1Change(Sender: TObject; Node: TTreeNode);
    procedure DriveComboBox1Change(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;
  dirtree1 : tdirtree; // this is our tdirtree-component (here as an object)
implementation

{$R *.DFM}

procedure TForm1.DirTree1AddDir(Filename: string; var DoAdd: Boolean);
begin
     if checkbox1.checked then
     if upcase(filename[1]) <> upcase(drivecombobox1.drive) then doadd := false;
     // only add folders descending from the selected drive
end;

procedure TForm1.DirTree1Change(Sender: TObject; Node: TTreeNode);
begin
     caption := Dirtree1.directory;
end;

procedure TForm1.DriveComboBox1Change(Sender: TObject);
begin
     dirtree1.drive := drivecombobox1.drive;
     if checkbox1.checked then dirtree1.reload;
        // show directorys of a different drive
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
     dirtree1.reload; // mode has changed (see onadddir)  therefore re-read the items
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
     dirtree1 := tdirtree.create(self);
     dirtree1.align := alleft;
     dirtree1.width := 200;
     dirtree1.onchange := dirtree1change;
     dirtree1.onadddir := dirtree1adddir;
     dirtree1.parent := self;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
     dirtree1.free;
end;

end.
