unit SplashFm;
interface
uses Forms, Classes, Controls, StdCtrls, ExtCtrls;

Type
  TSplash = class(TForm)
    Panel1: TPanel;
    Image1: TImage;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure FormDeactivate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  end;

implementation
{$R *.DFM}

procedure TSplash.FormKeyPress(Sender: TObject; var Key: Char);
begin
  FormDeactivate(Sender)
end;

procedure TSplash.FormDeactivate(Sender: TObject);
begin
  Screen.Cursor := crArrow;
  Close
end;

procedure TSplash.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action := caFree
end;

initialization
  Screen.Cursor := crHourGlass;
  with TSplash.Create(nil) do
  begin
    Show;
    Update
  end
end.
