{*********************************************************}
{*		     TARUBICN.INC 1.00			 *}
{*	  Copyright (c) Tamarack Associates 1996.	 *}
{*		   All rights reserved. 		 *}
{*********************************************************}


{* Owners of TurboPower's SysTools (tm) should enable the following    *}
{* compiler directive by removing the period.  This option is only     *}
{* valid for registered users of Lightning.  For performance reasons   *}
{* the STDEFINE.INC option ThreadSafe should be disabled.	       *}

{.$DEFINE HaveSysTools}

{* dbiRead enables the use of DBI calls for reading Blob fields which  *}
{* increases perfomance.  These routines have been tested on dBase,    *}
{* Paradox, Local Interbase, and Interbase 4.0 NT.  If you are using   *}
{* another SQL server and are experiencing problems, try disabling     *}
{* this options.  Default is Enabled.                                  *}

{$DEFINE dbiRead}

{* dbiWrite enables the use of DBI calls for writing records to the    *}
{* WordsTable, thereby improving write performance.  These routines    *}
{* assume that the underlying database supports 32 bit integers, which *}
{* is the case for Paradox and InterBase.  dBase does not support      *}
{* integer fields, so if this option is enabled, errors will occur if  *}
{* you try to use a dBase WordsTable.  Note:  you may use a dBase      *}
{* DataSource with a Paradox WordsTable.  Default is Disabled.         *}

{.$DEFINE dbiWrite}

{* UseAnsi forces the use of AnsiCompareStr and AnsiUpperCase instead  *}
{* of CompareStr and UpperCase.  Becausse these routines are called so *}
{* often, using the Ansi routines causes a significant slow down in    *}
{* build performance.  Default is disabled.                            *}

{.$DEFINE UseAnsi}

{================== Do not change anything past this line! ====================}

{$UNDEF HStrings}
{$IFDEF WIN32}
 {$IFOPT H+}
  {$DEFINE HStrings}
 {$ELSE}
  {$DEFNE WStrings}
 {$ENDIF}
{$ENDIF}