unit Unmain;

interface

uses
  WinTypes, WinProcs, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, StdCtrls, coolmenu;

type
  TForm1 = class(TCoolMenuForm)
    MainMenu1: TMainMenu;
    Menu1: TMenuItem;
    Item1: TMenuItem;
    Item21: TMenuItem;
    item31: TMenuItem;
    MenuItemAdditionalInfo1: TMenuItemAdditionalInfo;
    PopupMenu1: TPopupMenu;
    Popupmenu2: TMenuItem;
    Moreitems1: TMenuItem;
    Here1: TMenuItem;
    procedure FormCreate(Sender: TObject);
    procedure Item1Click(Sender: TObject);
    procedure Item21Click(Sender: TObject);
    procedure item31Click(Sender: TObject);
  private
    procedure WMDrawItem(var Msg: TWMDrawItem); message WM_DRAWITEM;
    procedure WMMeasureItem(var Msg: TWMMeasureItem); message WM_MEASUREITEM;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  ModifyMenu(MainMenu1.Handle, Item1.Command, MF_OWNERDRAW, Item1.Command, PChar(0));
  ModifyMenu(MainMenu1.Handle, Item21.Command, MF_OWNERDRAW, Item21.Command, PChar(0));
  ModifyMenu(MainMenu1.Handle, Item31.Command, MF_OWNERDRAW, Item31.Command, PChar(0));
end;

procedure TForm1.WMDrawItem(var Msg: TWMDrawItem);
begin
  with Msg.DrawItemStruct^ do
  begin
    if CtlType = ODT_MENU then
    begin
      MenuItemAdditionalInfo1.Picture.Icon.Handle := LoadIcon(0, IDI_ASTERISK);
      MenuItemAdditionalInfo1.Font.Color := clYellow;
      if ItemID = Item1.Command then MenuItemAdditionalInfo1.DrawItem(TMessage(Msg), Item1.Caption);

      MenuItemAdditionalInfo1.Picture.Icon.Handle := LoadIcon(0, IDI_HAND);
      MenuItemAdditionalInfo1.Font.Style := [fsBold];
      MenuItemAdditionalInfo1.Font.Color := clBlue;
      if ItemID = Item21.Command then MenuItemAdditionalInfo1.DrawItem(TMessage(Msg), Item21.Caption);

      MenuItemAdditionalInfo1.Font.Color := clRed;
      MenuItemAdditionalInfo1.Picture.Icon.Assign(Application.Icon);
      if ItemID = Item31.Command then MenuItemAdditionalInfo1.DrawItem(TMessage(Msg), Item31.Caption);
    end
  end
end;


procedure TForm1.WMMeasureItem(var Msg: TWMMeasureItem);
begin
  with Msg.MeasureItemStruct^ do
  begin
    if CtlType = ODT_MENU then
    begin
      if ItemID = Item1.Command then MenuItemAdditionalInfo1.MeasureItem(TMessage(Msg), Item1.Caption);
      if ItemID = Item21.Command then MenuItemAdditionalInfo1.MeasureItem(TMessage(Msg), Item21.Caption);
      if ItemID = Item31.Command then MenuItemAdditionalInfo1.MeasureItem(TMessage(Msg), Item31.Caption);
    end
  end
end;

procedure TForm1.Item1Click(Sender: TObject);
begin
  ShowMessage('Item1');
end;

procedure TForm1.Item21Click(Sender: TObject);
begin
  ShowMessage('Item2');
end;

procedure TForm1.item31Click(Sender: TObject);
begin
  ShowMessage('Item3');
end;


end.

