unit Unmain;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, coolmenu, Menus;

type
  TForm1 = class(TCoolMenuForm)
    MainMenu1: TMainMenu;
    Menu1: TMenuItem;
    Item1: TMenuItem;
    Item21: TMenuItem;
    item31: TMenuItem;
    PopupMenu1: TPopupMenu;
    popup1: TMenuItem;
    MenuItemAdditionalInfo1: TMenuItemAdditionalInfo;
    MenuEvenMoreInfo1: TMenuEvenMoreInfo;
    MenuItemEvenMoreInfo1: TMenuItemEvenMoreInfo;
    procedure FormCreate(Sender: TObject);
    procedure Item1Click(Sender: TObject);
    procedure Item21Click(Sender: TObject);
    procedure item31Click(Sender: TObject);
    procedure FormMouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure popup1Click(Sender: TObject);
  private
    procedure WMDrawItem(var Msg: TWMDrawItem); message WM_DRAWITEM;
    procedure WMMeasureItem(var Msg: TWMMeasureItem); message WM_MEASUREITEM;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  ModifyMenu(MainMenu1.Handle, Item1.Command, MF_OWNERDRAW, Item1.Command, PChar(0));
  ModifyMenu(MainMenu1.Handle, Item21.Command, MF_OWNERDRAW, Item21.Command, PChar(0));
  ModifyMenu(MainMenu1.Handle, Item31.Command, MF_OWNERDRAW, Item31.Command, PChar(0));
end;

procedure TForm1.WMDrawItem(var Msg: TWMDrawItem);
begin
  with Msg.DrawItemStruct^ do
  begin
    if CtlType = ODT_MENU then
    begin
      if ItemID = Item1.Command then MenuItemAdditionalInfo1.DrawItem(TMessage(Msg), Item1.Caption);
      if ItemID = Item21.Command then MenuItemAdditionalInfo1.DrawItem(TMessage(Msg), Item21.Caption);
      if ItemID = Item31.Command then MenuItemAdditionalInfo1.DrawItem(TMessage(Msg), Item31.Caption);
    end
  end
end;


procedure TForm1.WMMeasureItem(var Msg: TWMMeasureItem);
begin
  With Msg.MeasureItemStruct^ do
  begin
    if CtlType = ODT_MENU then
    begin
      if ItemID = Item1.Command then MenuItemAdditionalInfo1.MeasureItem(TMessage(Msg), Item1.Caption);
      if ItemID = Item21.Command then MenuItemAdditionalInfo1.MeasureItem(TMessage(Msg), Item21.Caption);
      if ItemID = Item31.Command then MenuItemAdditionalInfo1.MeasureItem(TMessage(Msg), Item31.Caption);
    end
  end
end;

procedure TForm1.Item1Click(Sender: TObject);
begin
  ShowMessage('Item1');
end;

procedure TForm1.Item21Click(Sender: TObject);
begin
  ShowMessage('Item2');
end;

procedure TForm1.item31Click(Sender: TObject);
begin
  ShowMessage('Item3');
end;

procedure TForm1.FormMouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  if Button = mbRight then
    TrackPopupMenu(PopupMenu1.handle,TPM_LEFTALIGN or TPM_RIGHTBUTTON,x+left,y+top,0,Handle,NIL)
end;

procedure TForm1.popup1Click(Sender: TObject);
begin
  ShowMessage('Popup 1');
end;

end.
