unit Unit2;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls, WPRich, WPDBRich, WPRuler, WPTbar,
  DB, DBTables, WPDefs;

type
  TForm1 = class(TForm)
    Table1: TTable;
    DataSource1: TDataSource;
    WPToolBar1: TWPToolBar;
    WPRuler1: TWPRuler;
    DBWPRichText1: TDBWPRichText;
    Panel1: TPanel;
    Label1: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure DBWPRichText1HyperLinkEvent(Sender: TObject; text,
      stamp: String; LineNumber: Longint);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}
const
ICON_GR_TEST = WPI_GR_USER+1;   { include WPDefs! }
ICON_CO_DEMO1 = 1;
ICON_CO_TEST  = 2;

procedure TForm1.FormCreate(Sender: TObject);
begin
    { for DBWPRichText it is no so important to call Init  as
      for WPRichText }
    DBWPRichText1.Init;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  if Table1.Active then Table1.Post;
  DBWPRichText1.Done;
end;

procedure TForm1.DBWPRichText1HyperLinkEvent(Sender: TObject; text,
  stamp: String; LineNumber: Longint);
var
  str : array [0..255] of Char;
begin
  StrPCopy(str,text);
  MessageBox(Handle,str,'You have clicked on:',0);
  { LineNumber is the Number >= 0
    With an Hyperlink you have the chance to
    start a search in the database ... }
end;

end.
