unit soptions;

interface

uses
  WinTypes, WinProcs, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls, Compress, Segment;

type
  TScanOptionForm = class(TForm)
    Panel1: TPanel;
    GroupBox1: TGroupBox;
    CanBtn: TBitBtn;
    OKBtn: TBitBtn;
    Label4: TLabel;
    ESegName: TEdit;
    Label1: TLabel;
    ESrcDir: TEdit;
    procedure CanBtnClick(Sender: TObject);
    procedure OKBtnClick(Sender: TObject);
    procedure ESegNameExit(Sender: TObject);
    procedure ESrcDirExit(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  procedure  EntryPoint(SegCompress: TSegCompress);
  end;

var
  ScanOptionForm: TScanOptionForm;

implementation

uses DemoMain;

{$R *.DFM}

var
   SegComp:   TSegCompress;

procedure TScanOptionForm.EntryPoint(SegCompress: TSegCompress);
begin
     SegComp := SegCompress;
     ESrcDir.Text := SegComp.SegDir;
     if (ESrcDir.Text = '') then
         ESrcDir.Text := 'A:\';
     ESegName.Text := SegComp.SegBaseName;
     if (ESegName.Text = '') then
         ESegName.Text := 'SegData';
     ShowModal;
end;

procedure TScanOptionForm.CanBtnClick(Sender: TObject);
begin
     SegComp.SegBaseName := '';
     Close;
end;

procedure TScanOptionForm.OKBtnClick(Sender: TObject);
begin
     if (ESrcDir.Text = '') then
         ESrcDir.SetFocus
     else if (ESegName.Text = '') then
         ESegName.SetFocus
     else
         begin
         SegComp.SegDir := ESrcDir.Text;
         SegComp.SegBaseName := ESegName.Text;
         Close;
         end;
end;

procedure TScanOptionForm.ESegNameExit(Sender: TObject);
var
   Tmp:      String;
begin
     Tmp := ExtractFileName(ESegName.Text);
     Tmp := Copy(Tmp,1,Length(Tmp)-Length(ExtractFileExt(Tmp)));
     ESegName.Text := Tmp;
end;

procedure TScanOptionForm.ESrcDirExit(Sender: TObject);
begin
     ESrcDir.Text := ExpandFileName(ESrcDir.Text);
end;

end.
