unit Date2;
interface
uses SysUtils, Classes;

Type
  TDayOfWeek = (Sunday, Monday, Tuesday, Wednesday, Thursday, Friday, Saturday);

  TDate2 = class(TComponent)
                private
                  FDay:   Word;
                  FMonth: Word;
                  FYear:  Word;

                  FDayOfWeek: TDayOfWeek;

                private
                  DummyWord: Word;
                  DummyTDayOfWeek: TDayOfWeek;

                published
                  property Day:   Word read FDay   write DummyWord;
                  property Month: Word read FMonth write DummyWord;
                  property Year:  Word read FYear  write DummyWord;

                  property DayOfWeek: TDayOfWeek read FDayOfWeek
                                                 write DummyTDayOfWeek;
                public
                  constructor Create(AOwner: TComponent); override;
                end {TDate};

  procedure Register;

implementation

  Constructor TDate2.Create(AOwner: TComponent);
  begin
    inherited Create(AOwner);
    DecodeDate(SysUtils.Date,FYear,FMonth,FDay);
    FDayOfWeek := TDayOfWeek(Pred(SysUtils.DayOfWeek(SysUtils.Date)));
  end {Create};

  procedure Register;
  begin
    RegisterComponents('Dr.Bob', [TDate2])
  end {Register};
end.
