type
  cDesktopCanvas = class(TCanvas)
  private
    DC           : hDC;
    function     GetWidth:Integer;
    function     GetHeight:Integer;
  public
    constructor  Create;
    destructor   Destroy; override;
  published
    property Width: Integer read GetWidth;
    property Height: Integer read GetHeight;
  end;

function cDesktopCanvas.GetWidth:Integer;
begin Result:=GetDeviceCaps(Handle,HORZRES); end;

function cDesktopCanvas.GetHeight:Integer;
begin Result:=GetDeviceCaps(Handle,VERTRES); end;

constructor cDesktopCanvas.Create;
begin
  inherited Create;
  DC:=GetDC(0);
  Handle:=DC;
end;

destructor  cDesktopCanvas.Destroy;
begin
  Handle:=0;
  ReleaseDC(0, DC);
  inherited Destroy;
end;
