{$A+,B-,D-,F-,G+,I+,K+,L-,N+,P+,Q-,R-,S+,T+,V-,W-,X+,Y-}
unit Unitperf;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, FileCtrl, Outline, DirOutln, Gauges, Grids;

type
  TMainForm = class(TForm)
    DriveComboBox1: TDriveComboBox;
    DirectoryOutline1: TDirectoryOutline;
    FileListBox1: TFileListBox;
    Label1: TLabel;
    ViewButton: TButton;
    DeleteButton: TButton;
    CreateButton: TButton;
    ExitButton: TButton;
    procedure DriveComboBox1Change(Sender: TObject);
    procedure DirectoryOutline1Change(Sender: TObject);
    procedure ExitButtonClick(Sender: TObject);
    procedure ViewButtonClick(Sender: TObject);
    procedure DeleteButtonClick(Sender: TObject);
    procedure CreateClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation
Uses Unit2;

{$R *.DFM}

procedure TMainForm.DriveComboBox1Change(Sender: TObject);
begin
  DirectoryOutLine1.Drive := DriveComboBox1.Drive
end;

procedure TMainForm.DirectoryOutline1Change(Sender: TObject);
begin
  FileListBox1.Directory := DirectoryOutline1.Directory
end;

procedure TMainForm.ExitButtonClick(Sender: TObject);
begin
  Close
end;

procedure TMainForm.ViewButtonClick(Sender: TObject);
begin
  try
    ViewerForm.Memo1.Lines.LoadFromFile(FileListBox1.FileName);
    ViewerForm.Show
  except
    on E: Exception do
      MessageDlg(E.Message, mtError, [mbOk], 0)
  end
end;

procedure TMainForm.DeleteButtonClick(Sender: TObject);
var f: File;
    Str: String;
begin
  if FileListBox1.FileName <> '' then
  begin
    FmtStr(Str,'Do you want to delete %s',[FileListBox1.FileName]);
    if MessageDlg(Str, mtConfirmation, [mbYes,mbNo], 0) = mrYes then
    try
      try
        System.Assign(f,FileListBox1.FileName);
        Erase(f)
      except
        on E: Exception do
          MessageDlg(E.Message, mtError, [mbOk], 0)
      end;
    finally
      FileListBox1.Directory := '.';
      FileListBox1.Directory := DirectoryOutLine1.Directory { rescan }
    end
    else
      MessageDlg('No file deleted', mtInformation, [mbOk], 0)
  end
  else
    MessageDlg('No file selected', mtError, [mbOk], 0)
end;

procedure TMainForm.CreateClick(Sender: TObject);
var i: Integer;
begin
  {$I-}
  for i:=1 to 100 do MkDir('C:\TEMP\'+IntToStr(i));
  if IOResult <> 0 then { skip };
  {$I+}
end;

end.

