unit Newcomb;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, DBLookup;

type
  TNewDBLookup = class(TDBLookupCombo)
  private
    FOldGridClick: TNotifyEvent;
  protected
    procedure NewGridClick(Sender: TObject);
  public
    constructor Create(AOwner: TComponent); override;
  end;

procedure Register;

implementation

constructor TNewDBLookup.Create(AOwner: TComponent);
var
  Loop: Word;
begin
  inherited Create(AOwner);
  for Loop := 0 to Pred(ComponentCount) do
    if Components[Loop] is TPopupGrid then
      with Components[Loop] as TPopupGrid do
      begin
        FOldGridClick := OnClick;
        OnClick := NewGridClick;
        Break;
      end;
end;

procedure TNewDBLookup.NewGridClick(Sender: TObject);
var
  FOnClick: TNotifyEvent;
begin
  if Assigned(FOldGridClick) then
    FOldGridClick(Self);
  FOnClick := OnClick;
  if Assigned(FOnClick) then
    FOnClick(Self);
end;

procedure Register;
begin
  RegisterComponents('Samples', [TNewDBLookup]);
end;

end.
