unit Fileinfo;
interface
uses
  Classes, SysUtils;

Type
  TFileInfo = class(TComponent)
  private
    FFileName: TFileName;
    FFileMode: Word;
  published
    property FileName: TFileName read FFileName write FFileName;
    property FileMode: Word read FFileMode write FFileMode;
  end;

procedure Register;

implementation
uses DsgnIntf, FileProp, FileName;

procedure Register;
begin
  RegisterComponents('Dr.Bob', [TFileInfo]);
  RegisterPropertyEditor(TypeInfo(Word), TFileInfo,
                        'FileMode', TFileModeProperty);
  RegisterPropertyEditor(TypeInfo(TFilename), nil,
                        '', TFilenameProperty)
end;

end.