program DumpText;

{$ifdef WINDOWS}
uses
  WinCrt;
{$else}
  {$ifndef CONSOLE}
  'Turn on Project | Options | Linker | Generate console application'
  {$endif}
{$endif}

procedure DumpTextFile(const FileName: String);
var
  F: TextFile;
  S: String;
begin
  try
    AssignFile(F, FileName);
    Reset(F);
    while not EOF(F) do
    begin
      ReadLn(F, S);
      WriteLn(S);
    end;
  finally
    CloseFile(F);
  end;
end;

begin
  DumpTextFile('C:\AUTOEXEC.BAT');
  WriteLn;
  Write('Press Enter to exit...');
  ReadLn;
{$ifdef WINDOWS}
  DoneWinCrt;
{$endif}
end.
