unit Toggleu;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    CapsLock: TButton;
    NumLock: TButton;
    ScrollLock: TButton;
    DOSWay: TButton;
    procedure CapsLockClick(Sender: TObject);
    procedure NumLockClick(Sender: TObject);
    procedure ScrollLockClick(Sender: TObject);
    procedure DOSWayClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

var
  Keyboard: TKeyboardState;

procedure TForm1.CapsLockClick(Sender: TObject);
begin
  GetKeyboardState(Keyboard);
  Keyboard[vk_Capital] := Keyboard[vk_Capital] xor 1;
  SetKeyboardState(Keyboard);
end;

procedure TForm1.NumLockClick(Sender: TObject);
begin
  GetKeyboardState(Keyboard);
  Keyboard[vk_NumLock] := Keyboard[vk_NumLock] xor 1;
  SetKeyboardState(Keyboard);
end;

procedure TForm1.ScrollLockClick(Sender: TObject);
begin
  GetKeyboardState(Keyboard);
  Keyboard[vk_Scroll] := Keyboard[vk_Scroll] xor 1;
  SetKeyboardState(Keyboard);
end;

procedure TForm1.DOSWayClick(Sender: TObject);
const
  BIOSDataArea = $40;
  KBFlagByte = $17;
  CapsLockMask = $40;
  NumLockMask = $20;
var
  KBFlag: Byte absolute BIOSDataArea:KBFlagByte;
begin
  KBFlag := KBFlag xor CapsLockMask;
  KBFlag := KBFlag xor NumLockMask;
end;

end.
