program RecLock2;

uses
  WinProcs,
  WinTypes,
  NetLock,
  WinCrt,
  SysUtils;

var
  F: File of String;

begin
  {$I-}
  AssignFile(F, 'Test.Txt');
  FileMode := fmOpenReadWrite + fmShareDenyNone;
  Reset(F);
  if IOResult <> 0 then
    WriteLn('  Read/Write, Deny None failed in child')
  else
  begin
    WriteLn('  Read/Write, Deny None succeeded in child');
    if LockFileVar(F, 1, False) then
      WriteLn('  Record 1 locked in child')
    else
      WriteLn('  Record 1 couldn''t be locked in child');
    if LockFileVar(F, 1, True) then
      WriteLn('  Record 1 unlocked in child')
    else
      WriteLn('  Record 1 couldn''t be unlocked in child')
  end;
  CloseFile(F);
end. { RecLock2 }