unit Frmkey;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons;

type
  TForm1 = class(TForm)
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Label1: TLabel;
    Label2: TLabel;
    procedure BitBtn1KeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private-Deklarationen }
    FOldOnKeyDown : TKeyEvent;
    procedure OverAllKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.BitBtn1KeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if Key=vk_F4 then
  begin
    messageDlg('F4 is pressed on BitBtn1 ',
      mtInformation,[mbOk],0);
    Key:=0;
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  { Save current event-handler }
  FOldOnKeyDown:=BitBtn1.OnKeyDown;
  { Assign new event-handler }
  BitBtn1.OnKeyDown:=OverallKeyDown;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  { Restore previous event-handler of BitBtn1 }
  BitBtn1.OnKeyDown:=FOldOnKeyDown;
end;

procedure TForm1.OverAllKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
begin
  if Key=vk_F5 then
  begin
    messageDlg('F5 is pressed on BitBtn1 ',
      mtInformation,[mbOk],0);
    Key:=0;
  end else
    { Call next event-handler in the chain }
    if Assigned(FOldOnKeyDown) then
       FOldOnKeyDown(Sender,Key,Shift);
end;

end.
