{ Try this program - using a TBitmap object to hold the brush bitmap }
{ Self will only work in a method }

unit Brushu;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs;

type
  TForm1 = class(TForm)
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    BrushBmp: TBitmap;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  BrushBmp := TBitmap.Create;
  BrushBmp.LoadFromFile('brush.bmp');
  { A brush's bitmap starts nil - assign it a valid TBitmap }
  Brush.Bitmap := BrushBmp;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  { A brush doesn't delete its bitmap object }
  Canvas.Brush.Bitmap := nil;
  BrushBmp.Free;
end;

end.
