unit About;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    OKButton: TBitBtn;
    ProgramIcon: TImage;
    ProductName: TLabel;
    Version: TLabel;
    Copyright: TLabel;
    AddressMemo: TMemo;
    CommentMemo: TMemo;
    procedure FormCreate(Sender: TObject);
    procedure OKButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;

implementation
{$R *.DFM}
procedure TAboutBox.FormCreate(Sender: TObject);
begin
  ProductName.caption := 'Data Dictionary Maker';
  Version.caption := 'Version 0.22';
  Copyright.caption := 'Copyright 1996, Brandon C. Smith';
  CommentMemo.text := 'Concept Demonstration version';

end;

procedure TAboutBox.OKButtonClick(Sender: TObject);
begin
  close;
end;

end.

