unit Browsedd;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  StdCtrls, Forms, DBCtrls, DB, DBGrids, DBTables, Grids, ExtCtrls;

type
  TBrowseDDForm = class(TForm)
    DBGrid1: TDBGrid;
    DBNavigator: TDBNavigator;
    Panel1: TPanel;
    DataSource1: TDataSource;
    Panel2: TPanel;
    procedure FormActivate(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  BrowseDDForm: TBrowseDDForm;

implementation
uses mainmenu;

{$R *.DFM}


procedure TBrowseDDForm.FormActivate(Sender: TObject);
begin
  BrowseDDForm.caption := 'Browsing '+main.ddListBox.items[0];
  main.sourcedatabase.close;
  main.SourceDatabase.Params.clear;
  main.SourceDatabase.Params.Add('PATH='+main.DDPathName);
  main.SourceDatabase.open;
  DataSource1.DataSet:= main.dicttable;
  main.dicttable.Active:= True;
  show;
  DBGrid1.visible := true;
end;

end.
