unit Editmemo;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, ExtCtrls, dbctrls, clipbrd ;

type
  TEdMemoDlg = class(TForm)
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    HelpBtn: TBitBtn;
    Bevel1: TBevel;
    Memo1: TMemo;
    Label1: TLabel;
    procedure FormActivate(Sender: TObject);
    procedure Memo1KeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

procedure edit_memo(var source : tdbmemo; tablestr, fieldstr : string);

var
  EdmemoDlg: TEdMemoDlg;

implementation

{$R *.DFM}
procedure edit_memo(var source : tdbmemo; tablestr, fieldstr : string);
var widthdiff : integer;
begin with EdMemoDlg do begin
  widthdiff := width - memo1.width;
  memo1.width := source.width;
  width := memo1.width + widthdiff;
  memo1.lines.assign(source.lines);
  caption := 'Editing Memo Field';
  label1.caption := source.datafield + ' memo for field ' +
    fieldstr + ' in table '+ tablestr;
  if showModal = mrOK
    then source.lines.assign(memo1.lines);
  hide;
  end;
end;


procedure TEdMemoDlg.FormActivate(Sender: TObject);
begin
  memo1.setFocus;
end;

procedure TEdMemoDlg.Memo1KeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
{  if sender is tmemo
    then begin
      if (Shift = [ssctrl]) and (key = ord('X'))
         then (sender as tmemo).cutToClipboard;
      if (Shift = [ssctrl]) and (key = ord('C'))
         then (sender as tmemo).copyToClipboard;
      if (Shift = [ssctrl]) and (key = ord('V'))
         then (sender as tmemo).PasteFromClipboard;
      end;}
end;

end.
