unit Unit1;
interface
uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
    procedure OurHandler(Sender: TObject; E: Exception);
  end;

var
  Form1: TForm1;

implementation
uses Hex;
{$R *.DFM}

procedure TForm1.OurHandler(Sender: TObject; E: Exception);
begin
  if MessageDlg(E.message + #13 + ' Continue anyway?', mtError,
               [mbYes,mbNo], 0) = mrNo then
    Application.Terminate
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  if (Sender AS TButton).Caption = 'Install' then
  begin
    Application.OnException := OurHandler;
    (Sender AS TButton).Caption := 'UnInstall'
  end
  else
  begin
    Application.OnException := nil;
    (Sender AS TButton).Caption := 'Install'
  end
end;

procedure TForm1.Button2Click(Sender: TObject);
var i: ^LongInt;
begin
  new(i);
  try
    try
      i^ := HexVal('GOOD');
      ShowMessage('We will never get here!')
    except
      on E: EHexValError do
      begin
        ShowMessage(E.Message);
        Raise
      end
    end { inner try block };
  finally
    dispose(i);
    ShowMessage('We have cleaned up our memory!')
  end { outer try block };
end;

end.
