unit EMain;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, ExtCtrls, StdCtrls, Electric, Buttons, Spin;

type
  TForm1 = class(TForm)
    Image1: TImage;
    Label2: TLabel;
    Label3: TLabel;
    SpeedButton1: TSpeedButton;
    Battery1: TBattery;
    Switch1: TSwitch;
    Resistor1: TResistor;
    Lamp1: TLamp;
    Conductor1: TConductor;
    SpinEdit1: TSpinEdit;
    SpinEdit2: TSpinEdit;
    Label4: TLabel;
    Label5: TLabel;
    Resistor2: TResistor;
    SpinEdit3: TSpinEdit;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    SpinEdit4: TSpinEdit;
    Label1: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    procedure Resistor1AfterRun(Sender: TObject);
    procedure Lamp1AfterRun(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpinEdit1Change(Sender: TObject);
    procedure SpinEdit2Change(Sender: TObject);
    procedure SpinEdit3Change(Sender: TObject);
    procedure Resistor2AfterProcess(Sender: TObject);
    procedure SpinEdit4Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Resistor1AfterRun(Sender: TObject);
begin
  Label2.Caption := IntToStr((Sender as TResistor).Current);
  Label8.Caption := IntToStr((Sender as TResistor).Potential);
end;

procedure TForm1.Lamp1AfterRun(Sender: TObject);
begin
  if (Sender as TLamp).LampOn then Label3.Caption := 'On'
  else Label3.Caption := 'Off';
end;

procedure TForm1.SpeedButton1Click(Sender: TObject);
begin
  Switch1.Enabled := not Switch1.Enabled;
  if SpeedButton1.Caption = 'On' then SpeedButton1.Caption := 'Off'
  else SpeedButton1.Caption := 'On';
  Battery1.Run;
end;

procedure TForm1.SpinEdit1Change(Sender: TObject);
begin
  Resistor1.Resistance := SpinEdit1.Value;
  Battery1.Run;
end;

procedure TForm1.SpinEdit2Change(Sender: TObject);
begin
  Battery1.Potential := SpinEdit2.Value;
  Battery1.Run;
end;

procedure TForm1.SpinEdit3Change(Sender: TObject);
begin
  Resistor2.Resistance := SpinEdit3.Value;
  Battery1.Run;
end;

procedure TForm1.Resistor2AfterProcess(Sender: TObject);
begin
  Label6.Caption := IntToStr((Sender as TResistor).Current);
  Label10.Caption := IntToStr((Sender as TResistor).Potential);
end;

procedure TForm1.SpinEdit4Change(Sender: TObject);
begin
  Battery1.Current := SpinEdit4.Value;
  Battery1.Run;
end;

end.
