{ Listing 1 }

FUNCTION Average (i_Int1 : integer ;
                  i_Int2 : integer) : integer ;
BEGIN
  Result :=3D (i_Int1 + i_Int2) div 2 ;
END ; (* Average *)

procedure TForm1.Button1Click(Sender: TObject);
(* Without exception. *)
VAR
  int1 : integer ;
  int2 : integer ;
  ptr1 : ^integer ;
  ptr2 : ^integer ;
begin
  int1 :=3D 10 ;
  int2 :=3D 20 ;
  ptr1 :=3D @int1 ;
  ptr2 :=3D @int2 ;
  ptr2 :=3D nil ;                            (* Pointer is destroyed *)
  int1 :=3D Average (ptr1^, ptr2^) ;         (* It GPFs! *)
  ShowMessage ('Average=3D' + IntToStr (int1)) ;
end;

procedure TForm1.Button2Click(Sender: TObject);
(* With exception. *)
VAR
  int1 : integer ;
  int2 : integer ;
  ptr1 : ^integer ;
  ptr2 : ^integer ;
begin
  int1 :=3D 10 ;
  int2 :=3D 20 ;
  ptr1 :=3D @int1 ;
  ptr2 :=3D @int2 ;
  ptr2 :=3D nil ;                             (* Pointer is destroyed *)
  TRY
    int1 :=3D Average (ptr1^, ptr2^) ;        (* It GPFs! *)
    ShowMessage ('Average=3D' + IntToStr (int1)) ;
  EXCEPT
    ShowMessage ('Exception!') ;              (* Put breakpoint here! *)
  END ;
end;


{ Listing 2 }

unit DelphRun;
interface
implementation
uses WinTypes, WinProcs;
initialization
  if (FindWindow('TApplication', 'Delphi') = 0) OR
    { (FindWindow('TAlighPalette', nil) = 0) OR }
    (FindWindow('TPropertyInspector', nil) = 0) OR
    (FindWindow('TAppBuilder', nil) = 0) then begin
    MessageBox(GetFocus,'Delphi 1.0x is not running!','Dr.Bob says...',
               MB_ICONHAND OR MB_OK);
    Halt
  end
end.


{ Listing 3 }

procedure TDirectoryOutline.Click;
var
  TempDir: string;
begin
  inherited Click;
  TempDir := Items[SelectedItem].FullPath;
  if Length(TempDir) < 3 then
    TempDir := TempDir +'\'; (* Adds the needed backslash *)
  Directory := TempDir;
end;


{ Listing 4 }

procedure TForm1.ButtonShowParamsClick(Sender: TObject);
var
  i: integer;
begin
  Listbox.Items.Clear;
  for i:= Q to (Query.ParamCount-1) do
    ListBox.Items.Add('['+ IntToStr(i)+'] '+Query.Params[i].Name;
end;
