Uses Printers;
function SetNumCopies(NumCopies : integer) : boolean;
var
  ADevice, ADriver, APort : array[0..255] of char;
  DevMode : THandle;
  PtrDevMode : PDevMode;
begin
  Printer.PrinterIndex := Printer.PrinterIndex;
  Printer.GetPrinter(
  ADevice, ADriver, APort, DevMode);
  if DevMode <> 0 then begin
    PtrDevMode := GlobalLock(DevMode);
    with PtrDevMode^ do begin
      dmFields := dmFields or DM_COPIES;
      dmCopies := NumCopies;
    end;
    GlobalUnlock(DevMode);
    Printer.PrinterIndex := Printer.PrinterIndex;
    SetNumCopies := True;
  end else
    SetNumCopies := False;
end;