unit Unit3;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, Aboutdlg, Waveplay, StdCtrls, Buttons, Sndbtn;

type
  TForm1 = class(TForm)
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    WavePlayer1: TWavePlayer;
    OpenDialog1: TOpenDialog;
    SndBitBtn1: TSndBitBtn;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    CheckBox4: TCheckBox;
    Label2: TLabel;
    procedure FormShow(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure CheckBox3Click(Sender: TObject);
    procedure CheckBox4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormShow(Sender: TObject);
begin
  WavePlayer1.Play;
end;

procedure TForm1.BitBtn2Click(Sender: TObject);
begin
  if OpenDialog1.Execute then
  begin
    WavePlayer1.Wave.LoadFromFile(OpenDialog1.FileName);
    Label1.Caption := ExtractFileName(OpenDialog1.FileName);
  end;
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
  WavePlayer1.Play;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
var S: TOptionsSet;
begin
  S := [wpoSync];
  if (Sender as TCheckBox).Checked then
    WavePlayer1.Options := WavePlayer1.Options + S
  else WavePlayer1.Options := WavePlayer1.Options - S;
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
var S: TOptionsSet;
begin
  S := [wpoASync];
  if (Sender as TCheckBox).Checked then
    WavePlayer1.Options := WavePlayer1.Options + S
  else WavePlayer1.Options := WavePlayer1.Options - S;
end;

procedure TForm1.CheckBox3Click(Sender: TObject);
var S: TOptionsSet;
begin
  S := [wpoLoop];
  if (Sender as TCheckBox).Checked then
    WavePlayer1.Options := WavePlayer1.Options + S
  else WavePlayer1.Options := WavePlayer1.Options - S;
end;

procedure TForm1.CheckBox4Click(Sender: TObject);
var S: TOptionsSet;
begin
  S := [wpoNoStop];
  if (Sender as TCheckBox).Checked then
    WavePlayer1.Options := WavePlayer1.Options + S
  else WavePlayer1.Options := WavePlayer1.Options - S;
end;

end.
