unit GridFitU;

interface

uses
  WinProcs, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  DB, DBTables, Grids, DBGrids, StdCtrls, OptGridU;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    DataSource1: TDataSource;
    Query1: TQuery;
    DBGrid1: TDBOptGrid;
    procedure DBGrid1DblClick(Sender: TObject);
    procedure Query1AfterOpen(DataSet: TDataSet);
    procedure FormCreate(Sender: TObject);
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.DBGrid1DblClick(Sender: TObject);
begin
  Query1.SQL := Memo1.Lines;
  try
    Query1.Open;
  except
    Query1.SQL.Clear;
  end;
end;

procedure TForm1.Query1AfterOpen(DataSet: TDataSet);
begin
  DBGrid1.Width:= DBGrid1.OptWidth;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  { Ensure grid has set its columns up first }
  DBGrid1.Perform(wm_Paint, 0, 0);
  Query1.Open;
end;

end.
