unit mpd2u2a;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, TabNotBk, StdCtrls, ComCtrls;

type
  TForm2 = class(TForm)
    Notebook: TTabbedNotebook;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    procedure NotebookChange(Sender: TObject; NewTab: Integer;
      var AllowChange: Boolean);
  end;

var
  Form2: TForm2;

implementation

{$R *.DFM}

procedure TForm2.NotebookChange(Sender: TObject; NewTab: Integer;
  var AllowChange: Boolean);
var
  Loop: Integer;
  Tab :TControl;
begin
  for Loop := 0 to Pred(NoteBook.ControlCount) do
  begin
    Tab := NoteBook.Controls[Loop] as TControl;
    { Delphi 1.0x }
    { A TTabbedNotebook has pages (TWinControls) }
    { and tabs (TGraphicControls) }
    if (Tab is TGraphicControl) and
       { Apparently dangerous typecast is actually safe }
       { Caption is in every TControl, just protected }
       { It is published in a TButton, and so is accessible }
       (TButton(Tab).Caption = NoteBook.Pages[NewTab]) then
    begin
      AllowChange := Tab.Enabled;
      Break;
    end;
  end;
end;

end.
