unit IterateU;

interface

uses
  Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Edit1: TEdit;
    Button1: TButton;
    Memo1: TMemo;
    CheckBox1: TCheckBox;
    RadioButton1: TRadioButton;
    ListBox1: TListBox;
    BitBtn1: TBitBtn;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    procedure AddToList(Child: TComponent);
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.AddToList(Child: TComponent);
begin
  with Child do
    Listbox1.Items.Add(Format('%s: %s (%s)',
      [Name, ClassName, ClassParent.ClassName]));
end;

procedure TForm1.Button1Click(Sender: TObject);
var
  Loop: Integer;
begin
  Listbox1.Items.Clear;
{$ifdef Win32}
  GetChildren(AddToList);
{$else}
  for Loop := 0 to ComponentCount - 1 do
    AddToList(Components[Loop]);
{$endif}
end;

end.
