unit RepCtrls;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, DBCtrls, DBCGrids;

type
  TDBRepMemo = class(TDBMemo)
  public
    constructor Create(AOwner: TComponent); override;
  end;

  TDBRepImage = class(TDBImage)
  public
    constructor Create(AOwner: TComponent); override;
  end;

  TDBRepCtrlGrid = class(TDBCtrlGrid)
  protected
    procedure CMChildKey(var Msg: TWMKeyDown); message cm_ChildKey;
  end;

procedure Register;

implementation

constructor TDBRepMemo.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
  ControlStyle := ControlStyle + [csReplicatable];
end;

constructor TDBRepImage.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
  ControlStyle := ControlStyle + [csReplicatable];
end;

procedure TDBRepCtrlGrid.CMChildKey(var Msg: TWMKeyDown);
begin
  if not ((Msg.CharCode = vk_Return) and
          (Screen.ActiveForm.ActiveControl is TDBMemo)) then
    inherited;
end;

procedure Register;
begin
  RegisterComponents('Samples', [TDBRepMemo, TDBRepImage, TDBRepCtrlGrid]);
end;

end.
