unit Bolibupd;
interface
uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, ExtCtrls, Grids, Gauges;

type
  TBoLub = class(TForm)
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    StringGrid1: TStringGrid;
    Gauge1: TGauge;
    procedure FormCreate(Sender: TObject);
    procedure CancelBtnClick(Sender: TObject);
    procedure OKBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  BoLub: TBoLub;

implementation
uses FileCopy, SysUtils;
{$R *.DFM}

Const
  Net = 'L:\LIBRARY\DELPHI\BOLIB\BOLIB.DCL';
  Loc = 'C:\DELPHI\BIN\BOLIB.DCL';

procedure TBoLub.FormCreate(Sender: TObject);
var f: File;
begin
  with StringGrid1 do
  begin
    ColWidths[0] := 60;
    ColWidths[1] := 185;
    ColWidths[2] := 115;

    Cells[1,0] := '  Source:';
    Cells[2,0] := ' Destination:';
    Cells[0,1] := '  Path:';
    Cells[0,2] := '  Name:';
    Cells[0,3] := '  Size:';
    Cells[0,4] := '  Date:';
    Cells[0,5] := '  Time:';

    Cells[1,1] := #32+ExtractFilePath(Net);
    Cells[1,2] := #32+ExtractFileName(Net);
    System.Assign(f,Net);
    FileMode := $40;
    System.Reset(f,1024);
    Cells[1,3] := Format('    %d Kbytes',[FileSize(f)]);
    Cells[1,4] := #32+#32+#32+#32+DateToStr(FileDateToDateTime(FileGetDate(TFileRec(f).Handle)));
    Cells[1,5] := #32+#32+#32+#32+TimeToStr(FileDateToDateTime(FileGetDate(TFileRec(f).Handle)));
    System.Close(f);

    Cells[2,1] := #32+ExtractFilePath(Loc);
    Cells[2,2] := #32+ExtractFileName(Loc);
    System.Assign(f,Loc);
    FileMode := $40;
    System.Reset(f,1024);
    Cells[2,3] := Format('    %d Kbytes',[FileSize(f)]);
    Cells[2,4] := #32+#32+#32+#32+DateToStr(FileDateToDateTime(FileGetDate(TFileRec(f).Handle)));
    Cells[2,5] := #32+#32+#32+#32+TimeToStr(FileDateToDateTime(FileGetDate(TFileRec(f).Handle)));
    System.Close(f);
    OKBtn.Enabled := (Cells[1,3] <> Cells[2,3]) OR
                     (Cells[1,4] <> Cells[2,4]) OR
                     (Cells[1,5] <> Cells[2,5])
  end;
end;

procedure TBoLub.CancelBtnClick(Sender: TObject);
begin
  Close
end;

procedure CallBack(Position, Size: LongInt); far;
begin
  BoLub.Gauge1.Progress := Trunc(100 * Position / Size);
  Application.ProcessMessages
end {CallBack};

procedure TBoLub.OKBtnClick(Sender: TObject);
begin
  OKBtn.Visible := False;
  CancelBtn.Visible := False;
  Gauge1.Visible := True;
  Gauge1.ForeColor := clNavy;
  FastFileCopy(Net,Loc,CallBack);
  Close
end;

end.
