unit Gthunku;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Gauges, ExtCtrls;

type
  TForm1 = class(TForm)
    Dummy: TPanel;
    Timer1: TTimer;
    Label1: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    ProgressWnd: hWnd;
  end;

var
  Form1: TForm1;

implementation

{ ====== PROGRESS CONTROL ========================= }

const
  Progress_Class = 'msctls_progress32';

const
  PBM_SetRange            = WM_USER+1;
  PBM_SetPos              = WM_USER+2;
  PBM_DeltaPos            = WM_USER+3;
  PBM_SetStep             = WM_USER+4;
  PBM_StepIt              = WM_USER+5;


{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
    ProgressWnd := CreateWindow (Progress_Class, '',
                                 ws_Visible or ws_Child,
                                 Dummy.Left, Dummy.Top,
                                 Dummy.Width, Dummy.Height,
                                 Handle, 0, hInstance, Nil);

    if ProgressWnd = 0 then Application.Terminate;
    Dummy.Free;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
     SendMessage (ProgressWnd, PBM_Stepit, 0, 0);
end;

end.
