unit Unit1;
interface
uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, Menus, Grids, TBHEXVU, TBHEXED;

type
  TForm1 = class(TForm)
    HexEditor: TBHexEditor;
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Help1: TMenuItem;
    Open1: TMenuItem;
    Close1: TMenuItem;
    N1: TMenuItem;
    Exit1: TMenuItem;
    About1: TMenuItem;
    OpenDialog: TOpenDialog;
    procedure Open1Click(Sender: TObject);
    procedure Close1Click(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure About1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation
{$R *.DFM}

procedure TForm1.Open1Click(Sender: TObject);
begin
  if OpenDialog.Execute then
    HexEditor.FileName := OpenDialog.FileName
end;

procedure TForm1.Close1Click(Sender: TObject);
begin
  HexEditor.FileName := ''
end;

procedure TForm1.Exit1Click(Sender: TObject);
begin
  Close
end;

procedure TForm1.About1Click(Sender: TObject);
begin
  MessageDlg('Welcome to Dr.Bob''s TBHexViewer and TBHexEditor...',
              mtInformation, [mbOk], 0)
end;

end.
