unit fmMain;

interface

uses
  SysUtils, Windows, Messages, Classes, Graphics, Controls,
  StdCtrls, Forms, DBCtrls, DB, DBGrids, DBTables, Grids, ExtCtrls, Menus;

type
  TfrmMain = class(TForm)
    qryGetEmployeesEMP_NO: TSmallintField;
    qryGetEmployeesFIRST_NAME: TStringField;
    qryGetEmployeesLAST_NAME: TStringField;
    qryGetEmployeesPHONE_EXT: TStringField;
    qryGetEmployeesHIRE_DATE: TDateTimeField;
    qryGetEmployeesDEPT_NO: TStringField;
    qryGetEmployeesJOB_CODE: TStringField;
    qryGetEmployeesJOB_GRADE: TSmallintField;
    qryGetEmployeesJOB_COUNTRY: TStringField;
    qryGetEmployeesSALARY: TFloatField;
    qryGetEmployeesFULL_NAME: TStringField;
    dsGetEmployees: TDataSource;
    qryGetEmployees: TQuery;
    dbEmployee: TDatabase;
    grpEditView: TGroupBox;
    Panel2: TPanel;
    grdModifiableEmployees: TDBGrid;
    chkCachedUpdates: TCheckBox;
    btnPost: TButton;
    btnUndoAll: TButton;
    DBNavigator: TDBNavigator;
    grpReadOnlyView: TGroupBox;
    Panel1: TPanel;
    grdReadOnlyEmployees: TDBGrid;
    qryGetEmployees2: TQuery;
    dsGetEmployees2: TDataSource;
    btnExit: TButton;
    procedure FormCreate(Sender: TObject);
    procedure chkCachedUpdatesClick(Sender: TObject);
    procedure btnPostClick(Sender: TObject);
    procedure dsGetEmployeesDataChange(Sender: TObject; Field: TField);
    procedure btnUndoAllClick(Sender: TObject);
    procedure btnExitClick(Sender: TObject);
  private
  public
    procedure UpdateView;
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.DFM}

procedure TfrmMain.UpdateView;
begin
  with qryGetEmployees2 do
  begin
    DisableControls;
    Close;
    Open;
    EnableControls;
  end;
end;

procedure TfrmMain.FormCreate(Sender: TObject);
begin
  qryGetEmployees.Open;
  qryGetEmployees2.Open;
end;

procedure TfrmMain.dsGetEmployeesDataChange(Sender: TObject; Field: TField);
begin
  UpdateView;
end;

procedure TfrmMain.chkCachedUpdatesClick(Sender: TObject);
begin
  with qryGetEmployees do
  begin
    CachedUpdates := not CachedUpdates;

    btnPost.Enabled := CachedUpdates;
    btnUndoAll.Enabled := CachedUpdates;
  end;
end;

procedure TfrmMain.btnPostClick(Sender: TObject);
begin
  dbEmployee.ApplyUpdates([qryGetEmployees]);
  UpdateView;
end;

procedure TfrmMain.btnUndoAllClick(Sender: TObject);
begin
  qryGetEmployees.CancelUpdates;
end;

procedure TfrmMain.btnExitClick(Sender: TObject);
begin
  Close;
end;

end.
