unit Wkdir;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, DbiProcs, DbiTypes, DB, StdCtrls, Grids, DBGrids,
  DBTables;

type
  TForm1 = class(TForm)
    ListBox1: TListBox;
    Button1: TButton;
    Label1: TLabel;
    Database1: TDatabase;
    Table1: TTable;
    Table2: TTable;
    DataSource1: TDataSource;
    DataSource2: TDataSource;
    DBGrid1: TDBGrid;
    DBGrid2: TDBGrid;
    Button3: TButton;
    Button4: TButton;
    Label2: TLabel;
    Label3: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

uses ChDir;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Session.GetTableNames('MyDb', '', True, True, ListBox1.Items);
end;

procedure TForm1.Button1Click(Sender: TObject);
var szDir: array[0..DBIMAXPATHLEN] of char;
begin
  try
   ChDirDlg := TChDirDlg.Create(Self);
   if ChDirDlg.ShowModal = mrOK then
   begin
     StrPCopy(szDir, ChDirDlg.Label1.Caption);
     Check(DbiSetDirectory(Database1.Handle, szDir));
   end;
  except
   Application.HandleException(Self);
  end;
  ChDirDlg.Release;
  Session.GetTableNames('MyDB', '', True, True, ListBox1.Items);
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  Table1.Close;
  Table1.Tablename := ListBox1.Items[listbox1.itemindex];
  Table1.Open;
  Label2.Caption := Table1.TableName;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  Table2.Close;
  Table2.Tablename := ListBox1.Items[listbox1.itemindex];
  Table2.Open;
  Label3.Caption := Table2.TableName;
end;

end.
