unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, DBCtrls, Grids, DBGrids, DB, DBTables, StdCtrls;

type
  TForm1 = class(TForm)
    dbEmployee: TDatabase;
    dsGetEmployees: TDataSource;
    grdEmployees: TDBGrid;
    qryGetEmployees: TQuery;
    qryGetEmployeesEMP_NO: TSmallintField;
    qryGetEmployeesFULL_NAME: TStringField;
    qryGetEmployeesDEPT_NO: TStringField;
    qryGetEmployeesJOB_CODE: TStringField;
    qryGetEmployeesJOB_COUNTRY: TStringField;
    qryGetEmployeesSALARY: TFloatField;
    navEmployees: TDBNavigator;
    grpLocation: TGroupBox;
    btnWorldwide: TRadioButton;
    btnUSAOnly: TRadioButton;
    procedure dbEmployeeLogin(Database: TDatabase; LoginParams: TStrings);
    procedure qryGetEmployeesFilterRecord(DataSet: TDataSet; var Accept: Boolean);
    procedure FormCreate(Sender: TObject);
    procedure btnWorldwideClick(Sender: TObject);
    procedure btnUSAOnlyClick(Sender: TObject);
  private
  public
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.dbEmployeeLogin(Database: TDatabase;
  LoginParams: TStrings);
begin
  LoginParams.Values['USER NAME'] := 'SYSDBA';
  LoginParams.Values['PASSWORD'] := 'masterkey';
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  qryGetEmployees.Open;
end;

procedure TForm1.qryGetEmployeesFilterRecord(DataSet: TDataSet;
  var Accept: Boolean);
begin
  Accept := DataSet['Job_Country'] = 'USA';
end;

procedure TForm1.btnWorldwideClick(Sender: TObject);
begin
  qryGetEmployees.Filtered := False;
end;

procedure TForm1.btnUSAOnlyClick(Sender: TObject);
begin
  qryGetEmployees.Filtered := True;
end;

end.
