unit Cboxu1;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    ComboBox1: TComboBox;
    procedure FormCreate(Sender: TObject);
    procedure EditEnter(Sender: TObject);
    procedure AlternativeEditEnter(Sender: TObject);
    procedure ComboBox1Enter(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  EditEnter(Edit1)
end;

procedure TForm1.EditEnter(Sender: TObject);
var
  Pt: TPoint;
begin
  with Sender as TEdit do
  begin
    Pt := Point(Width div 2, Height div 2);
    Pt := ClientToScreen(Pt);
    SetCursorPos(Pt.X, Pt.Y)
  end;
end;

procedure TForm1.AlternativeEditEnter(Sender: TObject);
begin
  with (Sender as TEdit),
       ClientToScreen(Point(Width div 2, Height div 2)) do
    SetCursorPos(X, Y)
end;

procedure TForm1.ComboBox1Enter(Sender: TObject);
begin
  ComboBox1.DroppedDown := True
end;

end.
