unit Gridu;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Spin, Grids, DBGrids, DB, DBTables, ExtCtrls;

type
  TForm1 = class(TForm)
    Table1: TTable;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    Panel1: TPanel;
    SpinEdit1: TSpinEdit;
    Label1: TLabel;
    procedure FormShow(Sender: TObject);
    procedure SpinEdit1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormShow(Sender: TObject);
begin
  SpinEdit1.Value := TStringGrid(DBGrid1).DefaultRowHeight
end;

procedure TForm1.SpinEdit1Change(Sender: TObject);
begin
  { Change row height }
  TStringGrid(DBGrid1).DefaultRowHeight := SpinEdit1.Value;
  { Recalculate row count }
  with DBGrid1 do
    Perform(wm_Size, Size_Restored, MakeLong(Width, Height));
end;

end.
