{$APPTYPE CONSOLE}

Type
  TRecord = record
    ISBN: String[16];
    Title: String[64];
    Author: String[64];
    Publisher: String[32];
    Price: Double;
    Code: String[7];
    { Comments }
    Level: Integer;
    TechnicalContentsQuality: Integer;
    QualityOfWriting: Integer;
    ValueForMoney: Integer;
    OverallAssessment: Integer;
    { Cover }
  end;

var i: Integer;
    Rec: TRecord;
    F: File of TRecord;
begin
  if ParamCount >= 1 then
  begin
    i := 0;
    System.Assign(f,ParamStr(1));
    try
      Reset(f);
      while not Eof(f) do
      begin
        Inc(i);
        read(f,Rec);
        writeln(i:2,' ',Rec.Title,' (',Rec.Author,')')
      end
    finally
      System.Close(f);
    end
  end
  else
    writeln('Usage: browse tablename')
end.
