{$APPTYPE CONSOLE}
uses DB, DBTables, SysUtils;

Type
  TRecord = record
    ISBN: String[16];
    Title: String[64];
    Author: String[64];
    Publisher: String[32];
    Price: Double;
    Code: String[7];
    { Comments }
    Level: Integer;
    TechnicalContentsQuality: Integer;
    QualityOfWriting: Integer;
    ValueForMoney: Integer;
    OverallAssessment: Integer;
    { Cover }
  end;

var i: Integer;
    Rec: TRecord;
    F: File of TRecord;
begin
  if ParamCount >= 1 then with TTable.Create(nil) do
  try
    System.Assign(f,ChangeFileExt(ParamStr(1),'.REC'));
    Rewrite(f);
    TableName := ParamStr(1);
    Active := True;
    First;
    while not Eof do with Rec do
    begin
      ISBN := FieldByName('ISBN').AsString;
      Title := FieldByName('Title').AsString;
      Author := FieldByName('Author').AsString;
      Publisher := FieldByName('Publisher').AsString;
      Price := FieldByName('Price').AsFloat;
      Code := FieldByName('Code').AsString;
      Level := FieldByName('Level').AsInteger;
      TechnicalContentsQuality :=
        FieldByName('TechnicalContentsQuality').AsInteger;
      QualityOfWriting := FieldByName('QualityOfWriting').AsInteger;
      ValueForMoney := FieldByName('ValueForMoney').AsInteger;
      OverallAssessment := FieldByName('OverallAssessment').AsInteger;
      write(f,Rec);
      Next
    end
  finally
    System.Close(f);
    Free
  end
  else
    writeln('Usage: convert tablename')
end.
