unit COMslidr;

interface
uses COMOWL, Classes;

type
TCOMSliderInterface = class(TCOMInterface)

    function  GetPos : integer;       virtual; cdecl; abstract;
    procedure SetPos(pos : integer);  virtual; cdecl; abstract;
    function  GetMinRange : integer;  virtual; cdecl; abstract;
    function  GetMaxRange : integer;  virtual; cdecl; abstract;
    procedure SetMinRange(min: integer); virtual; cdecl; abstract;
    procedure SetMaxRange(max: integer); virtual; cdecl; abstract;
    procedure SetTicGap(ticGap: integer); virtual; cdecl; abstract;
    {No virtual functions below this point}

    function  IGetPos : integer;
    procedure ISetPos(pos : integer);
    function  IGetMinRange : integer;
    function  IGetMaxRange : integer;
    procedure ISetMinRange(min: integer);
    procedure ISetMaxRange(max: integer);
    procedure ISetTicGap(ticGap: integer);



public
    procedure SetOnChange(func : TCPPNotifyEvent); virtual; cdecl; abstract;
    {OK, add some virtual functions from here}

    property Position  : integer read IGetPos write ISetPos;
    property Min       : integer read IGetMinRange write ISetMinRange;
    property Max       : integer read IGetMaxRange write ISetMaxRange;
    property TicGap    : integer write ISetTicGap;
end;

implementation

function  TCOMSliderInterface.IGetPos : integer;
begin
 Result := GetPos;
end;

procedure TCOMSliderInterface.ISetPos(pos : integer);
begin
 SetPos(pos);
end;

function  TCOMSliderInterface.IGetMinRange : integer;
begin
 Result := GetMinRange;
end;
function  TCOMSliderInterface.IGetMaxRange : integer;
begin
  Result := GetMaxRange;
end;

procedure TCOMSliderInterface.ISetMinRange(min: integer);
begin
  SetMinRange(min);
end;

procedure TCOMSliderInterface.ISetMaxRange(max: integer);
begin
  SetMaxRange(max);
end;

procedure TCOMSliderInterface.ISetTicGap(ticGap: integer);
begin
  SetTicGap(ticGap);
end;

end.

