unit Memtab;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, Grids, DBGrids, DB, DbiTypes, DbiProcs,
  ExtCtrls, DBCtrls, Menus, StdCtrls, Bdejoc;

type
  TForm1 = class(TForm)
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    db1: TDatabase;
    DBNavigator1: TDBNavigator;
    MemTable1: TGenTable;
    procedure MemTable1BeforeOpen(DataSet: TDataset);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.MemTable1BeforeOpen(DataSet: TDataset);
var fd: array [0..1] of FLDDesc;
    c: HDbiCur;
    hNilDb: HDbiDb;
    p: CURProps;
begin
  FillChar(fd, 2*sizeof(FLDDesc), 0);

  fd[0].iFldNum := 1;
  StrPCopy(fd[0].szName, 'Field One');
  fd[0].iFldType:= fldZSTRING;
  fd[0].iSubType:= 0;
  fd[0].iUnits1 := 5;
  fd[0].iUnits2 := 0;

  fd[1].iFldNum := 2;
  StrPCopy(fd[1].szName, 'Field Two');
  fd[1].iFldType:= fldZSTRING;
  fd[1].iSubType:= 0;
  fd[1].iUnits1 := 5;
  fd[1].iUnits2 := 0;

  Check(DbiCreateInMemTable(Db1.Handle, 'JOCTABLE', 2, @fd, c));
  Check(DbiGetCursorProps(c, p));
  MemTable1.Handle := c;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  MemTable1.Open;
end;

end.
