unit UniqueU;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, DBCtrls, Grids, DBGrids, DB, DBTables, StdCtrls;

type
  TForm1 = class(TForm)
    Table1: TTable;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    DBNavigator1: TDBNavigator;
    procedure Table1NewRecord(DataSet: TDataSet);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

function Unique(Tbl: TTable; Fld: String; Value: Integer): Integer;
begin
  with TTable.Create(Application) do
    try
      DatabaseName := Tbl.DatabaseName;
      TableName := Tbl.TableName;
      Open;
      repeat
        Inc(Value)
      until Lookup(Fld, Value, Fld) = Null;
      Result := Value
    finally
      Free
    end
end;

procedure TForm1.Table1NewRecord(DataSet: TDataSet);
begin
  // Ensuring uniqueness on new record doesn't
  // say much for its state when posted
  // Someone else may have already posted that
  // supposedly unique value
  Table1['CustNo'] := Unique(Table1, 'CustNo', Table1.RecordCount);
end;

end.
