const
  Demo_Array_Capacity = 2000;

const
  Max_OnChange_Notifications = 32;

type
  PSMCtrlDetails = ^TSMCtrlDetails;
  TSMCtrlDetails = packed record
    Ctrl_Element_Size: LongInt;
    Ctrl_Capacity: LongInt;
    Ctrl_Count: LongInt;
    Ctrl_Data_Updated: Boolean;
    Ctrl_Num_Windows: LongInt;
    Ctrl_WinHandles: array[1..Max_OnChange_Notifications] of LongInt;
    Ctrl_NotificationBeenPosted: array[1..Max_OnChange_Notifications] of Boolean;
    Ctrl_Update_Count: LongInt;
  end;

type
  TSharedMemoryChangeEvent = procedure(Sender: TObject) of object;

{ This test array element is 100 bytes long. This means that the 656th entry will }
{ cross the 64K 'barrier'. This should demonstrate that the 16bit version of      }
{ TSharedMemory is happy with this.                                               }

Type
  TArray_Element = packed record
    ProcessId: LongInt;
    ThreadID: LongInt;
    Text: string[91];
  end;

const
  WM_USER_SHAREMEM_CHANGED = WM_USER + 1000;

