unit Win32def;

interface

{$IFNDEF WIN32}

const
  MEMORY_MAPPED_FILE = -1;    { $FFFFFFFF DWORD }
  NULL32 = 0;                 { nil pointer as a longint for Call32 }
  FALSE32 = 0;
  TRUE32 = 1;

  PAGE_NOACCESS  = $00000001;
  PAGE_READONLYv = $00000002;
  PAGE_READWRITE = $00000004;

  FILE_MAP_WRITE = $00000002;
  FILE_MAP_READ  = $00000004;

  SEC_RESERVE    = $04000000;
  SEC_COMMIT     = $08000000;

  MEM_COMMIT     = $00001000;
  MEM_RESERVE    = $00002000;

  WAIT_FAILED    = -1;           { $FFFFFFFF DWORD }
  WAIT_OBJECT_0  = $00000000;
  WAIT_ABANDONED = $00000080;
  WAIT_TIMEOUT   = $00000102;

  MAX_SEMAPHORES = $7FFFFFFF;

type
  SYSTEM_INFO = record
    dwOemId: LongInt;
    dwPageSize: LongInt;
    lpMinimumApplicationAddress: LongInt;
    lpMaximumApplicationAddress: LongInt;
    dwActiveProcessorMaks: LongInt;
    dwNumberOfProcessors: LongInt;
    dwProcessorType: LongInt;
    dwReserved1,dsReserved2: LongInt;
  end;

const
  ERROR_ALREADY_EXISTS = 183;

{$ENDIF}

implementation

end.
