unit fmLogin;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls, 
  Buttons, ExtCtrls;

type
  TdlgLogin = class(TForm)
    btnOK: TButton;
    btnCancel: TButton;
    Label1: TLabel;
    Label2: TLabel;
    edtUsername: TEdit;
    edtPassword: TEdit;
    Image1: TImage;
  private
  public
  end;

function LaunchLoginDialog(var Username, Password: string): TModalResult;

var
  dlgLogin: TdlgLogin;

implementation

{$R *.DFM}

function LaunchLoginDialog(var Username, Password: string): TModalResult;
begin
  Application.CreateForm(TdlgLogin, dlgLogin);
  try
    with dlgLogin do
    begin
      Result := ShowModal;
      if Result = mrOK then
      begin
        Username := edtUsername.Text;
        Password := edtPassword.Text;
      end;
    end;
  finally
    dlgLogin.Release;
  end;
end;

end.
