unit Unit1;
interface
uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, ProgMan, ExtCtrls;

Type
  TForm1 = class(TForm)
    Panel1: TPanel;
    ListBox1: TListBox;
    Edit1: TEdit;
    NewGroupBtn: TBitBtn;
    RestoreBtn: TBitBtn;
    MaximizeBtn: TBitBtn;
    MinimizeBtn: TBitBtn;
    IconizeBtn: TBitBtn;
    DeleteBtn: TBitBtn;
    CloseBtn: TBitBtn;
    ProgMan1: TProgMan;
    procedure FormCreate(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure NewGroupBtnClick(Sender: TObject);
    procedure RestoreBtnClick(Sender: TObject);
    procedure MaximizeBtnClick(Sender: TObject);
    procedure MinimizeBtnClick(Sender: TObject);
    procedure IconizeBtnClick(Sender: TObject);
    procedure DeleteBtnClick(Sender: TObject);
    procedure CloseBtnClick(Sender: TObject);
    procedure ListBox1DblClick(Sender: TObject);
    procedure ProgMan1DDEdata(Sender: TObject);
  end;

var
  Form1: TForm1;

implementation
{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  ProgMan1.Active := True;
end;

procedure TForm1.ProgMan1DDEdata(Sender: TObject);
begin
  ListBox1.Items := ProgMan1.Groups;
end;

procedure TForm1.Edit1Change(Sender: TObject);
begin
  NewGroupBtn.Enabled := Length((Sender AS TEdit).Text) > 0
end;

procedure TForm1.NewGroupBtnClick(Sender: TObject);
begin
  ProgMan1.CreateNewGroup(Edit1.text);
  ProgMan1.GetGroups
end;

procedure TForm1.RestoreBtnClick(Sender: TObject);
begin
  if ListBox1.ItemIndex >= 0 then
    ProgMan1.Activate(ListBox1.Items[ListBox1.ItemIndex])
end;

procedure TForm1.MaximizeBtnClick(Sender: TObject);
begin
  if ListBox1.ItemIndex >= 0 then
    ProgMan1.Maximize(ListBox1.Items[ListBox1.ItemIndex])
end;

procedure TForm1.MinimizeBtnClick(Sender: TObject);
begin
  if ListBox1.ItemIndex >= 0 then
    ProgMan1.Minimize(ListBox1.Items[ListBox1.ItemIndex])
end;

procedure TForm1.IconizeBtnClick(Sender: TObject);
begin
  if ListBox1.ItemIndex >= 0 then
    ProgMan1.Iconize(ListBox1.Items[ListBox1.ItemIndex])
end;

procedure TForm1.DeleteBtnClick(Sender: TObject);
begin
  if ListBox1.ItemIndex >= 0 then
    ProgMan1.DeleteGroup(ListBox1.Items[ListBox1.ItemIndex]);
  ProgMan1.GetGroups
end;

procedure TForm1.CloseBtnClick(Sender: TObject);
begin
  if ProgMan1.Active then ProgMan1.Active := False
end;

procedure TForm1.ListBox1DblClick(Sender: TObject);
begin
  if ListBox1.ItemIndex >= 0 then
  begin
    ProgMan1.Maximize(ListBox1.Items[ListBox1.ItemIndex]);
    ProgMan1.Activate(ListBox1.Items[ListBox1.ItemIndex])
  end
end;

end.
