unit LboxTabU;
{$X+}
interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, LBoxTab, ExtCtrls;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Button1: TButton;
    CheckBox1: TCheckBox;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
  public
    Listbox1: TTabListbox;
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  Listbox1 := TTabListbox.Create(Self);
  with Listbox1, Items do
  begin
    Align := alClient;
    Parent := Self;
    BeginUpdate;
    Add('Item'#9'1'#9'with'#9'some'#9'tabs');
    Add('Item'#9'2'#9'and'#9'it''s'#9'tabbed');
    Add('Item'#9'3'#9'altogether'#9'not'#9'surprisingly'#9'tabbed');
    EndUpdate;
  end;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  { Set some arbitrary tab stops. Note the multiplication }
  { by four to turn the approximate character positions into }
  { dialog box units. The default tab stops are every 8 * 4 }
  if not Listbox1.SetTabStops([8 * 4, 12 * 4, 24 * 4, 40 * 4]) then
    ShowMessage('Can''t set tab stops')
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  Listbox1.TabStopSupport := CheckBox1.Checked;
end;

end.
