CREATE PROCEDURE NextNoGet(aTable CHAR(20))
RETURNS(aNextNo INTEGER)
AS
BEGIN
  SELECT Number FROM NEXTNO_BP
    WHERE Id = :aTable
    INTO :aNextNo;
  IF (aNextNo IS NULL) THEN
  BEGIN
    INSERT INTO NEXTNO_BP(Id, Number) VALUES(:aTable, 2);
    aNextNo = 1;
  END
  ELSE
  BEGIN
    UPDATE NEXTNO_BP SET Number = Number + 1
      WHERE Id = :aTable;
    aNextNo = aNextNo + 1;
  END
END

