Check(DbiTranslateRecordStructure(nil, iFldCount,
  FieldDescs, GetDriverTypeName(DriverTypeName),
  PSQLLName, pFLDDesc, False));

{$DEFINE Fix_Paradox_ZeroSizeBlob_Bug}
{$IFDEF Fix_Paradox_ZeroSizeBlob_Bug}
  { Correct a bug in the Paradox driver. This enables us
    to have blob fields that use zero extra bytes in the
    record structure. }
  if StrComp(DriverTypeName, 'PARADOX') = 0 then
    for I := 0 to iFldCount-1 do
      with PFieldDescList(FieldDescs)^[I] do
  if (iFldType = fldBLOB) and (iUnits1 = 0) then
    with PFieldDescList(TableDesc.pFLDDesc)^[I] do begin
      { The Paradox driver has a bug in that it sets
        all Blob fields of size 0 to size 1 }
      Dec(iLen, iUnits1);
      iUnits1 := 0;
    end;
{$ENDIF}

iIdxCount := IndexDefs.Count;
