unit GridU;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, Grids;

type
  TForm1 = class(TForm)
    StringGrid1: TStringGrid;
    procedure FormCreate(Sender: TObject);
    procedure StringGrid1SelectCell(Sender: TObject; Col, Row: Longint;
      var CanSelect: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
{ Initialise selection record with -1's }
const
  NoSelection: TGridRect = (Left: -1; Top: -1; Right: -1; Bottom: -1);
var
  LoopX, LoopY: Integer;
begin
  with StringGrid1 do
  begin
    { Fill grid with dummy values }
    for LoopX := 1 to ColCount do
      for LoopY := 1 to RowCount do
        Cells[LoopX, LoopY] := Format('(%d,%d)', [LoopX, LoopY]);
    { Get rid of default selection }
    Selection := NoSelection;
  end
end;

procedure TForm1.StringGrid1SelectCell(Sender: TObject; Col, Row: Longint;
  var CanSelect: Boolean);
begin
  CanSelect := False
end;

end.
