unit TestVerU;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

type
  TVersion = (Win16, WinNT, Win95);

function WindowsPlatform: TVersion;
const
  wf_WinNT = $4000;
begin
  if GetWinFlags and wf_WinNT <> 0 then
    Result := WinNT
  else if HiByte(LoWord(GetVersion)) = 95 then
    Result := Win95
  else
    Result := Win16 { or unidentifiable version }
    { actual version number can be obtained with }
    { low and high words of GetVersion result }
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  case WindowsPlatform of
    Win16: Caption := 'Windows 3.x';
    WinNT: Caption := 'Windows NT';
    Win95: Caption := 'Windows 95';
  end;
end;

end.
