procedure TQR_DocVis.QRB_prnBeforePrint(var PrintBand: Boolean);
var lineheight, spacer : integer;

  procedure SetMemoSize(WhichMemo : TQRMemo; heading : string);
  var i, tmpwidth : integer;
      textSize : tSize;
      dc, thisfont: THandle;     {a dc handle}
      tmpPchar : pchar;
  begin
    with WhichMemo do begin
      dc := GetDC(handle);                       {Get the Dc for the memo}
      thisFont := SelectObject(dc, Font.handle); {Select the memo's font}
      height := (lineheight * lines.count) + 5;
      {make sure the column heading sets the minimuum width we're going to use for this memo}
      tmpPchar := pszFromPstrNew(heading+medSpaceStr);
      GetTextExtentPoint32(dc, tmpPchar, length(heading+medSpaceStr), textSize);
      tmpWidth := textsize.cx;
      StrDispose(tmpPchar);
      for i := 0 to lines.count - 1 do begin
        tmpPchar := pszFromPstrNew(lines[i]+medSpaceStr);
        GetTextExtentPoint32(dc, tmpPchar, length(lines[i])+length(medSpaceStr), textSize);
        tmpwidth := maxof(tmpwidth, textsize.cx);
        strDispose(tmpPchar);
        end;
      width := tmpwidth;
      ReleaseDC(handle, dc); {Release the Dc}
      end;
  end;

begin
  lineheight := QRPrinter.canvas.textheight('X');
    {medSpaceStr is set by the user and saved in the ini file}
  spacer := QRPrinter.canvas.textwidth(medSpaceStr);
    { set the size of the memo boxes.  In this case there were 5 of 'em}
  SetMemoSize(QRM_med,QRL_med.caption);
    { now make sure the left to right orientation is OK, no overlap}
  QRM_Dose.left := QRM_med.left + QRM_med.width;
    {... about 20 more lines to get everything lined up, including
     a number of top, height and left side adjustments to other memo and
     label components in this band, which is most of the report}
end;

