unit CachedForms;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs;

type
  TCachedForm = class(TForm)
  public
    class function CreateForm: TCachedForm;
    procedure FreeForm;
  end;

implementation

uses
  FormCaching;
  
{$R *.DFM}

class function TCachedForm.CreateForm: TCachedForm;
begin
  Result := TCachedForm (FormCache.CreateForm (Self));
end;

procedure TCachedForm.FreeForm;
begin
  FormCache.FreeForm (Self);
end;

end.
