unit ADODotNetU1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComObj, System_Data_TLB, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    ListBox1: TListBox;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
  private
    procedure ShowCustomers(oComm: ADOCommand);
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

uses
  ActiveX, COMRuntimeLibrary_TLB;

procedure TForm1.Button1Click(Sender: TObject);
var
  oConn: ADOConnection;
  oComm: ADOCommand;
begin
  oConn:=CreateCOMObject(Class_ADOConnection) as ADOConnection;

  oConn.Set_ConnectionString(
  'Provider=SQLOLEDB.1;Persist Security Info = False;'+
  'Initial Catalog = Northwind;User ID = sa;');

  oConn.Open;

  oComm:=CreateCOMObject(Class_ADOCommand) as ADOCommand;

  oComm.Set_ActiveConnection(oConn);

  oComm.Set_CommandText('SELECT * FROM CUSTOMERS');

  oComm.Execute;

  oConn.Close;
end;

procedure TForm1.Button2Click(Sender: TObject);
var
  oConn: ADOConnection;
  oComm: ADOCommand;
begin
  oConn:=CreateCOMObject(Class_ADOConnection) as ADOConnection;

  oConn.Set_ConnectionString(
  'Provider=SQLOLEDB.1;Persist Security Info = False;'+
  'Initial Catalog = Northwind;User ID = sa;');

  oConn.Open;

  oComm:=CreateCOMObject(Class_ADOCommand) as ADOCommand;

  oComm.Set_ActiveConnection(oConn);

  oComm.Set_CommandText('SELECT * FROM CUSTOMERS');

  ShowCustomers(oComm);

  oConn.Close;
end;

procedure TForm1.ShowCustomers(oComm: ADOCommand);
var
  oDR: ADODataReader;
  oWorkAround: IDataReader;
begin
  oComm.Execute_2(oWorkAround);

  oDR:=oWorkAround as ADODataReader;

  while oDR.Read do
    ListBox1.Items.Add(oDR.GetString(2));

  oDR.Close;
end;

procedure TForm1.Button3Click(Sender: TObject);
var
  oDataSet: DataSet;
  oTable: DataTable;
  oColumn: DataColumn;
  oRow: DataRow;
  oRelation: DataRelation;
begin
  oDataSet:=CreateCOMObject(Class_DataSet) as DataSet;
  oDataSet.Set_DataSetName('SalesDB');

  oTable:=CreateCOMObject(Class_DataTable) as DataTable;
  oTable.Set_TableName('States');

  oColumn:=CreateCOMObject(Class_DataColumn) as DataColumn;
  oColumn.Set_ColumnName('State');
  oTable.Columns.Add(oColumn);

  oColumn:=CreateCOMObject(Class_DataColumn) as DataColumn;
  oColumn.Set_ColumnName('Name');
  oTable.Columns.Add(oColumn);

  oDataSet.Tables.Add(oTable);

  oRow:=CreateCOMObject(Class_DataRow) as DataRow;
  oRow.Set_Item_2('State', 'CA');
  oRow.Set_Item_2('Name' , 'California');
  oTable.Rows.Add_2(oRow);

  oRow:=CreateCOMObject(Class_DataRow) as DataRow;
  oRow.Set_Item_2('State', 'TX');
  oRow.Set_Item_2('Name' , 'Texas');
  oTable.Rows.Add_2(oRow);

  oRelation:=CreateCOMObject(Class_DataRelation) as DataRelation;
  oRelation.Set_RelationName('CustomerStates');

end;

procedure TForm1.Button4Click(Sender: TObject);
var
  oDataSet: DataSet;
begin
  oDataSet:=CreateCOMObject(Class_DataSet) as DataSet;
  oDataSet.ReadXml_4('ABC.XML');
end;

procedure TForm1.Button5Click(Sender: TObject);
var
  oConn: ADOConnection;
  oDSCommand: ADODataSetCommand;
  oDS: DataSet;
  oRows: RowsCollection;
  intRow: integer;
begin
  oConn:=CreateCOMObject(Class_ADOConnection) as ADOConnection;

  oConn.Set_ConnectionString(
  'Provider=SQLOLEDB.1;Persist Security Info = False;'+
  'Initial Catalog = Northwind;User ID = sa;');

  oConn.Open;

  oDSCommand:=CreateCOMObject(Class_ADODataSetCommand) as ADODataSetCommand;

  oDSCommand.SelectCommand.Set_CommandText('SELECT * FROM CUSTOMERS');
  oDSCommand.SelectCommand.Set_ActiveConnection(oConn);

  oDS:=CreateCOMObject(Class_DataSet) as DataSet;

  oDSCommand.FillDataSet_2(oDS, 'Customers');

  oRows:=oDS.Tables.Get_Item_2('Customers').Rows;
  for intRow:=0 to oRows.Count - 1 do
    ListBox1.Items.Add(oRows.Item[intRow].Item[1]);
end;

end.
