{*********************************************************}
{*		     RBDBGRID.PAS 1.00			 *}
{*	  Copyright (c) Tamarack Associates 1996.	 *}
{*		   All rights reserved. 		 *}
{*********************************************************}

unit rbDBGrid;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, Grids, DB, DBGrids, rbDBMemo;

type
  TDBGridForm = class(TForm)
    Grid: TDBGrid;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure GridDblClick(Sender: TObject);
    procedure GridKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declarations }
    PROCEDURE DisplayMemoField;
  public
    { Public declarations }
  end;

var
  DBGridForm: TDBGridForm;

implementation

{$R *.DFM}

procedure TDBGridForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
 Action := caFree
end;

procedure TDBGridForm.GridDblClick(Sender: TObject);
begin
 DisplayMemoField
end;

procedure TDBGridForm.DisplayMemoField;
VAR	  F : TDBMemoForm;
BEGIN
 IF Grid.SelectedField.DataType = ftMemo THEN
  BEGIN
   Application.CreateForm(TDBMemoForm,F);
   F.Memo.DataSource := Grid.DataSource;
   F.Memo.DataField  := Grid.SelectedField.FieldName;
   F.Caption := F.Memo.DataField;
   F.Show
  END
END;

procedure TDBGridForm.GridKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
 IF Key IN [VK_RETURN, VK_SPACE] THEN DisplayMemoField
end;

end.
