{*********************************************************}
{*		     TADBMRO.INC 1.11			 *}
{*     Copyright (c) Tamarack Associates 1995, 1996.	 *}
{*		   All rights reserved. 		 *}
{*********************************************************}


{* taDBMRO by default will descend from TDBGrid.  To make taDBMRO descend  *}
{* from wwDBGrid and InfoPower is already installed, do the following:	   *}
{* 1. Enable the following compiler directive by removing the period	   *}
{*    before the dollar sign (change .$DEFINE to $DEFINE)		   *}
{* 2. If you have already installed taDBMRO, remove it by selecting	   *}
{*    Options|Install Components..., select MROREG, then press Remove	   *}
{* 3. Install taDBMRO by selecting Options|Intall Components..., press	   *}
{*    Add, find MROREG.PAS, then press Ok				   *}

{.$DEFINE UseInfoPower}

{* The following compiler directives enable or disable support for various *}
{* controls.  Generally you should build your COMPLIB.DCL with all the	   *}
{* options enabled for those components that are installed on your system. *}
{* See 'Controlling EXE File Size' in TADBMRO.DOC for more details.        *}

{*  InfoPower from Woll2Woll Software  *}
{.$DEFINE UseTwwDBLookupCombo}
{.$DEFINE UseTwwDBLookupComboDlg}

{*  Out & About Productions  *}
{.$DEFINE UseTDBComboBoxPlus}
{.$DEFINE UseTDBLookupComboPlus}

{*  Orpheus from TurboPower Software  *}
{.$DEFINE UseTOvcDBSimpleField}
{.$DEFINE UseTOvcDBPictureField}
{.$DEFINE UseTOvcDBNumericField}

{*  Standard controls from Borland -- All should be enabled for MROPROJ1  *}
{$DEFINE UseTDBText}
{$DEFINE UseTDBEdit}
{$DEFINE UseTDBMemo}
{$DEFINE UseTDBImage}
{$DEFINE UseTDBListBox}
{$DEFINE UseTDBComboBox}
{$DEFINE UseTDBCheckBox}
{$DEFINE UseTDBRadioGroup}
{$DEFINE UseTDBLookupList}
{$DEFINE UseTDBLookupCombo}

{$DEFINE UseTBevel}
{$DEFINE UseTGroupBox}
{$DEFINE UseTLabel}

{* !!Don't change anything below this line!! *}

{$IFDEF UseTDBLookupCombo}
 {$DEFINE UseDBLookup}
{$ENDIF}

{$IFDEF UseTDBLookupList}
 {$DEFINE UseDBLookup}
{$ENDIF}

{$IFDEF UseTwwDBLookupCombo}
 {$DEFINE UseInfoPower}
{$ENDIF}

{$IFDEF UseTwwDBLookupComboDlg}
 {$DEFINE UseInfoPower}
 {$DEFINE UseTwwDBLookupCombo}
{$ENDIF}

{$IFDEF UseTOvcDBSimpleField}
 {$DEFINE UseOrpheus}
{$ENDIF}

{$IFDEF UseTOvcDBPictureField}
 {$DEFINE UseOrpheus}
{$ENDIF}

{$IFDEF UseTOvcDBNumericField}
 {$DEFINE UseOrpheus}
{$ENDIF}

